#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_drv, 0x9d10c8c1, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x69e5f8f8, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0x5c0e9c37, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2f1bb5b, "dma_async_device_channel_unregister" },
	{ 0x65b93b63, "iommu_sva_unbind_device" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0xffb7c514, "ida_free" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x4fbf4543, "iommu_alloc_global_pasid" },
	{ 0x391ad80c, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x43e85cb8, "pci_iounmap" },
	{ 0x5052a005, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe803f0f9, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xbb8ecde7, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x97215a89, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x89887afb, "dma_async_device_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xcd1aeeb8, "iommu_attach_device_pasid" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x4f780a0a, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x3b38613f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ac4e8e3, "debugfs_create_file" },
	{ 0xc8b4ba55, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4d24a1e4, "sbitmap_finish_wait" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xac129d6d, "dma_async_device_channel_register" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x3226c5fc, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x748efa64, "pci_disable_device" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xda588655, "single_release" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0x337bd163, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x2ef96a0a, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb4836347, "single_open" },
	{ 0x13f3b8df, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0x1ef0193a, "pci_free_irq_vectors" },
	{ 0x64b9abb6, "idxd_driver_unregister" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0x3e03430b, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xc8cad1a2, "bus_register" },
	{ 0xcf57a9c6, "kmem_cache_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe0e5e31b, "pci_msix_vec_count" },
	{ 0x6b29f705, "pci_enable_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0xb42a9bd6, "dev_set_name" },
	{ 0x1543bbf, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb1c12824, "dma_async_device_unregister" },
	{ 0xabb463e8, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xd1514bb2, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x55bd005c, "cdev_device_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0xa6414249, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0x867ac3b6, "__pci_register_driver" },
	{ 0xa8c9c334, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x62b056a3, "device_initialize" },
	{ 0xb94c2a8, "dsa_bus_type" },
	{ 0x337c87b9, "iommu_dev_disable_feature" },
	{ 0x401deeed, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0x94c310b8, "iommu_sva_bind_device" },
	{ 0xc504ed3c, "iommu_detach_device_pasid" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x96783bd2, "pci_irq_vector" },
	{ 0xc0a24615, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x63db66c5, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6d360dcc, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85142df4, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x395b8b90, "sbitmap_prepare_to_wait" },
	{ 0x60a95d1c, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4968a359, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0xa9abe338, "kmalloc_node_trace" },
	{ 0xe41c7e9d, "iommu_dev_enable_feature" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xce08ae7d, "kmem_cache_alloc" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xa7b48d1b, "__idxd_driver_register" },
	{ 0xacd77ee7, "iommu_get_domain_for_dev" },
	{ 0x220d5b8c, "perf_pmu_migrate_context" },
	{ 0xcf9a4f71, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x8a08fe39, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x20972a29, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x91500e5c, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3bebc5ac, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xf102cb46, "kmem_cache_free" },
	{ 0xe47961c2, "dma_alloc_attrs" },
	{ 0x13242f70, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "921860485590D30D039C9F0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
