#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ef446c, "mma9551_read_accel_scale" },
	{ 0xd53cc3a3, "mma9551_read_accel_chan" },
	{ 0xc0668e9c, "mma9551_read_status_words" },
	{ 0x1519ced5, "mma9551_gpio_config" },
	{ 0x9c0b2cd4, "i2c_client_get_device_id" },
	{ 0xfa2f3c2f, "devm_iio_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x177d2f33, "mma9551_read_version" },
	{ 0xcd9baee3, "devm_request_threaded_irq" },
	{ 0xe9c89bd4, "pm_runtime_enable" },
	{ 0xe7fabcff, "pm_runtime_set_autosuspend_delay" },
	{ 0xe38ecd6, "__pm_runtime_use_autosuspend" },
	{ 0x4b30a6, "__iio_device_register" },
	{ 0xf5b193e0, "mma9551_read_config_words" },
	{ 0x77aa7689, "mma9551_app_reset" },
	{ 0xc9de1df2, "mma9551_write_config_words" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0x7f8453e0, "is_acpi_device_node" },
	{ 0x5fc79844, "acpi_match_device" },
	{ 0xc140ffa3, "iio_push_event" },
	{ 0x63f67c85, "iio_enum_read" },
	{ 0x46c54238, "iio_enum_write" },
	{ 0xc0ba1102, "iio_enum_available_read" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe33c5fae, "i2c_register_driver" },
	{ 0x152f1c24, "mma9551_set_device_state" },
	{ 0xbcd7fe96, "mma9551_sleep" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x20972a29, "_dev_err" },
	{ 0x4447a313, "iio_device_unregister" },
	{ 0xeee8de6c, "__pm_runtime_disable" },
	{ 0x1f17a1bf, "__pm_runtime_set_status" },
	{ 0xe2f9fd4, "iio_get_time_ns" },
	{ 0x7d50d13b, "mma9551_write_config_word" },
	{ 0x56ea0d2, "mma9551_read_config_word" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84c020b7, "mma9551_set_power_state" },
	{ 0x66d4373, "i2c_del_driver" },
	{ 0xf60b2805, "mma9551_read_status_word" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "mma9551_core,industrialio");

MODULE_ALIAS("i2c:mma9553");
MODULE_ALIAS("acpi*:MMA9553:*");

MODULE_INFO(srcversion, "0BF478B58F0E65D92F7213D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
