#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x68dc9bdf, "");
SYMBOL_CRC(cx88_querycap, 0x05f4e0b0, "");
SYMBOL_CRC(cx88_enum_input, 0xe9c8171b, "");
SYMBOL_CRC(cx88_set_freq, 0xb9ef4de6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x74a97f6, "cx88_ir_stop" },
	{ 0xf5b3b568, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xed6a9339, "video_devdata" },
	{ 0xd9a2066, "cx88_set_tvnorm" },
	{ 0xde17ccc, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x1a90ae3c, "v4l2_ctrl_find" },
	{ 0x74cb744b, "cx88_ir_start" },
	{ 0x4709b07b, "__v4l2_ctrl_s_ctrl" },
	{ 0xdaabb140, "vb2_plane_cookie" },
	{ 0xb363093d, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x16316253, "cx88_risc_buffer" },
	{ 0x60babf42, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x96c3f5d3, "cx88_set_stereo" },
	{ 0x7d54004a, "vb2_buffer_done" },
	{ 0x18d4194d, "v4l2_ctrl_subscribe_event" },
	{ 0xa70d5ef0, "video_unregister_device" },
	{ 0xc611cf1, "kthread_stop" },
	{ 0xc20c7c6e, "i2c_new_client_device" },
	{ 0x23a89da8, "vb2_ioctl_qbuf" },
	{ 0xa99a1594, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbb8ecde7, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xd397f00f, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf70dab2e, "vb2_fop_read" },
	{ 0x6c6e153a, "cx88_sram_channel_dump" },
	{ 0xe6e4d9e6, "kthread_create_on_node" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf255f815, "cx88_sram_channel_setup" },
	{ 0xc8b4ba55, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x90ea45ed, "__video_register_device" },
	{ 0x1f5be3a, "vb2_ops_wait_prepare" },
	{ 0x49221515, "vb2_ioctl_streamon" },
	{ 0xf2cb9610, "vb2_fop_poll" },
	{ 0x8771533f, "v4l2_ctrl_new_std" },
	{ 0x748efa64, "pci_disable_device" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0x1e521620, "v4l2_i2c_new_subdev" },
	{ 0x370d1996, "pci_read_config_byte" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5fb707be, "cx88_newstation" },
	{ 0x12ba1082, "v4l2_event_unsubscribe" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbdf10ec5, "vb2_ioctl_reqbufs" },
	{ 0xf7be0f77, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6385e98a, "vb2_dma_sg_memops" },
	{ 0xe8453bd0, "cx88_reset" },
	{ 0x66ad431c, "v4l2_ctrl_poll" },
	{ 0xa2aad0de, "video_ioctl2" },
	{ 0x247945e9, "cx88_wakeup" },
	{ 0x6b29f705, "pci_enable_device" },
	{ 0x32684526, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xb97c9b5b, "v4l2_ctrl_add_handler" },
	{ 0x195735a3, "v4l2_i2c_new_subdev_board" },
	{ 0x219179ac, "cx88_set_scale" },
	{ 0x153608db, "vb2_ops_wait_finish" },
	{ 0x867ac3b6, "__pci_register_driver" },
	{ 0xbdd87f2f, "cx88_shutdown" },
	{ 0xe5e904d5, "cx88_vdev_init" },
	{ 0x75d6fef4, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x3320669d, "vb2_ioctl_querybuf" },
	{ 0xa40e03f8, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4e4ecb14, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfcae5c7c, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x63db66c5, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6775e6e1, "wake_up_process" },
	{ 0x501a3a77, "cx88_core_get" },
	{ 0x58d37e0b, "cx88_get_stereo" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F82C2C71A3FB5A6ED5D72C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
