#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xf62834ea, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x16316253, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xb1aec157, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0xf255f815, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x6c6e153a, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0xfcae5c7c, "");
SYMBOL_CRC(cx88_wakeup, 0x247945e9, "");
SYMBOL_CRC(cx88_shutdown, 0xbdd87f2f, "");
SYMBOL_CRC(cx88_reset, 0xe8453bd0, "");
SYMBOL_CRC(cx88_set_scale, 0x219179ac, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x0d9a2066, "");
SYMBOL_CRC(cx88_vdev_init, 0xe5e904d5, "");
SYMBOL_CRC(cx88_core_get, 0x501a3a77, "");
SYMBOL_CRC(cx88_core_put, 0xa40e03f8, "");
SYMBOL_CRC(cx88_set_tvaudio, 0xd397f00f, "");
SYMBOL_CRC(cx88_newstation, 0x5fb707be, "");
SYMBOL_CRC(cx88_get_stereo, 0x58d37e0b, "");
SYMBOL_CRC(cx88_set_stereo, 0x96c3f5d3, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0xa3d56c02, "");
SYMBOL_CRC(cx88_ir_start, 0x74cb744b, "");
SYMBOL_CRC(cx88_ir_stop, 0x074a97f6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x1f24d145, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x3a0610ed, "i2c_smbus_xfer" },
	{ 0x6dcc54b8, "i2c_del_adapter" },
	{ 0x9db2411d, "rc_keyup" },
	{ 0x6994bf11, "__v4l2_ctrl_grab" },
	{ 0x7fc490b7, "i2c_unregister_device" },
	{ 0xfbc705db, "tveeprom_read" },
	{ 0x23207dd6, "rc_keydown_notimeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5fa092d8, "rc_register_device" },
	{ 0xe47961c2, "dma_alloc_attrs" },
	{ 0xd440b448, "rc_keydown" },
	{ 0x7d54004a, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc20c7c6e, "i2c_new_client_device" },
	{ 0x752e8faf, "freezing_slow_path" },
	{ 0x4c34671d, "rc_free_device" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7014c09b, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ec8d83, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x485d8c86, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xb09041ff, "v4l2_ctrl_handler_free" },
	{ 0x4e634fab, "i2c_transfer" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xb338d00b, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0x1e521620, "v4l2_i2c_new_subdev" },
	{ 0x370d1996, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0x59c4d61b, "ir_raw_event_store_with_filter" },
	{ 0x22118d3c, "i2c_smbus_read_byte_data" },
	{ 0x2a9b13f5, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x38ef6075, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x87d00c27, "ir_raw_event_handle" },
	{ 0x26ab4c43, "param_ops_uint" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x87dac74, "i2c_bit_add_bus" },
	{ 0xee263dfc, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x75d6fef4, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
