#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x095a0767, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xf56923f2, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x9ee1d1f1, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x7c416aa6, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x8bde25b1, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x63ea97a6, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x3c9d9f60, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xf533b59d, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xf662254e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8fa5e71, "free_candev" },
	{ 0xff7d2d97, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x6d84fffd, "can_get_echo_skb" },
	{ 0x34c79c82, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3b9cbd8, "netdev_warn" },
	{ 0x691bca3b, "unregister_candev" },
	{ 0x2576d71f, "can_rx_offload_del" },
	{ 0x89402e32, "devm_clk_get" },
	{ 0x609d65eb, "__pm_runtime_resume" },
	{ 0x764358a5, "pinctrl_pm_select_default_state" },
	{ 0xa805e081, "__pm_runtime_idle" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x4f4c7502, "netif_device_attach" },
	{ 0xc43b3fad, "register_candev" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb901f2e, "can_rx_offload_add_manual" },
	{ 0x53fabb7a, "netif_napi_add_weight" },
	{ 0x9cc11a12, "phy_power_on" },
	{ 0x10b9daab, "open_candev" },
	{ 0xe502d9ca, "close_candev" },
	{ 0xcdf73e4b, "phy_power_off" },
	{ 0x77d84c64, "netdev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe88ad3de, "napi_disable" },
	{ 0x49802582, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc8765b8e, "napi_enable" },
	{ 0x3db666ed, "netif_tx_wake_queue" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd0d921bb, "pinctrl_pm_select_sleep_state" },
	{ 0x90df6a6d, "netif_device_detach" },
	{ 0x8be12cb, "alloc_can_err_skb" },
	{ 0x3784cf51, "can_rx_offload_queue_timestamp" },
	{ 0xce84e845, "netif_receive_skb" },
	{ 0x489204a7, "__dynamic_netdev_dbg" },
	{ 0xe2d13c5, "can_bus_off" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xf6c65b9b, "can_put_echo_skb" },
	{ 0x374430c5, "kfree_skb_reason" },
	{ 0xa71f1b4, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe6249533, "netdev_printk" },
	{ 0x1b09b6b1, "alloc_canfd_skb" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x3ac82ffd, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xbff8608c, "napi_complete_done" },
	{ 0x6a4aa349, "napi_schedule_prep" },
	{ 0xb69d87b2, "can_rx_offload_threaded_irq_finish" },
	{ 0x35039b94, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xc87a3b86, "ethtool_op_get_ts_info" },
	{ 0x2993906f, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x20972a29, "_dev_err" },
	{ 0xa9ef0833, "__dev_fwnode" },
	{ 0x6dd86579, "fwnode_property_read_u32_array" },
	{ 0x86fa78ae, "alloc_candev_mqs" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "6E35583D1F1D35642984FA2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
