#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0x6cb873b8, "_gpl");
SYMBOL_CRC(pds_client_register, 0x97f6c2cd, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0x50299736, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0xdd6c9287, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x8a1493d1, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x1c805648, "devl_lock" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc2ebc4bc, "debugfs_create_u16" },
	{ 0x867ac3b6, "__pci_register_driver" },
	{ 0x1b6f2551, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x7cabcafb, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0xbd374973, "devlink_alloc_ns" },
	{ 0xabe137b5, "pci_sriov_get_totalvfs" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0x51486ac3, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x96783bd2, "pci_irq_vector" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0x63db66c5, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b1b8f70, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9870751c, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5881f50e, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x4968a359, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x14eb51aa, "debugfs_create_regset32" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3c5cc205, "devl_health_reporter_create" },
	{ 0xf4e6fb23, "pci_iov_vf_id" },
	{ 0xc90a6537, "debugfs_lookup" },
	{ 0x343d38c1, "pci_iomap_range" },
	{ 0xfc71c546, "devlink_flash_update_timeout_notify" },
	{ 0x20972a29, "_dev_err" },
	{ 0xd83bf5f2, "init_net" },
	{ 0xd9359295, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xfb16de3c, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe47961c2, "dma_alloc_attrs" },
	{ 0x13242f70, "debugfs_remove" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd7482f05, "vcalloc" },
	{ 0x3c0d7e4e, "devl_params_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4fd301bc, "debugfs_create_ulong" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x43e85cb8, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5052a005, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xbb8ecde7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc2f8711b, "debugfs_create_u32" },
	{ 0xd1179fed, "devl_params_unregister" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x12710c4c, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4f780a0a, "dma_set_coherent_mask" },
	{ 0x3b38613f, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3ac4e8e3, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xc8b4ba55, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x5cd9e3fe, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb5461677, "pci_release_regions" },
	{ 0x40a1dbf2, "pcie_print_link_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xc122ceab, "devlink_priv" },
	{ 0x1e3838d6, "pci_disable_sriov" },
	{ 0x748efa64, "pci_disable_device" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xda588655, "single_release" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb4836347, "single_open" },
	{ 0xa0e0df2a, "devl_register" },
	{ 0x13f3b8df, "debugfs_create_dir" },
	{ 0x1ef0193a, "pci_free_irq_vectors" },
	{ 0x4379ee86, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7ff755e0, "pci_iov_get_pf_drvdata" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x65a6f55, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6b29f705, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdc0eb9e9, "auxiliary_device_init" },
	{ 0x1543bbf, "pci_iomap" },
	{ 0xabb463e8, "pci_alloc_irq_vectors" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B868731461DDEAA00690D90");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
