#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0xe68718e3, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x07607e31, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c8b2c8d, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe47961c2, "dma_alloc_attrs" },
	{ 0x13242f70, "debugfs_remove" },
	{ 0xc61b6edc, "pci_read_config_word" },
	{ 0xc8765b8e, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x60a8441e, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xd08ab3a6, "dcbnl_ieee_notify" },
	{ 0x896e3707, "xsk_uses_need_wakeup" },
	{ 0xacfc69c1, "register_netdev" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9a85352, "free_netdev" },
	{ 0x22477ad0, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdcbf8f96, "ethtool_op_get_link" },
	{ 0x7ebc658b, "eth_platform_get_mac_address" },
	{ 0x20da7f87, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e067c09, "__SCK__tp_func_xdp_exception" },
	{ 0x916ed9a, "netif_tx_stop_all_queues" },
	{ 0xca568cf8, "pci_restore_state" },
	{ 0x3db666ed, "netif_tx_wake_queue" },
	{ 0x5052a005, "device_del" },
	{ 0xa1946894, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa74ccf83, "dma_sync_single_for_cpu" },
	{ 0xbb756e69, "dcb_getapp" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0xa59654b9, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb2b09517, "ptp_clock_event" },
	{ 0x42994cf8, "netif_schedule_queue" },
	{ 0x4fd59097, "__alloc_pages" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xbb8ecde7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe84b7596, "flow_rule_match_ipv6_addrs" },
	{ 0x85ee2ab0, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb8fa1925, "ptp_clock_unregister" },
	{ 0x8837ccd4, "__pskb_pull_tail" },
	{ 0x5684ace0, "xp_dma_unmap" },
	{ 0x489204a7, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5dfe60c8, "netdev_unbind_sb_channel" },
	{ 0x4f780a0a, "dma_set_coherent_mask" },
	{ 0x51a447ce, "bpf_trace_run3" },
	{ 0x153465c, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x6618c5d8, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x52c6ac93, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3ac4e8e3, "debugfs_create_file" },
	{ 0x36caeba9, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5aea8ac2, "netdev_reset_tc" },
	{ 0xc8b4ba55, "dma_free_attrs" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x212cdd7f, "call_netdevice_notifiers" },
	{ 0xabab48f3, "xp_set_rxq_info" },
	{ 0xf72f0b0c, "flow_rule_match_vlan" },
	{ 0x2c58b1e5, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd0d6bc82, "napi_build_skb" },
	{ 0xef491cd8, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36dc0c70, "netif_carrier_off" },
	{ 0xe8628fe8, "__hw_addr_sync_dev" },
	{ 0x1e3838d6, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6284ff5, "netif_carrier_on" },
	{ 0xd7e69c4f, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xe4a2f2a9, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa1fb49e9, "dev_uc_add_excl" },
	{ 0x748efa64, "pci_disable_device" },
	{ 0x274d4b, "xp_free" },
	{ 0xa24dc14b, "dev_mc_add_excl" },
	{ 0xe9b32870, "dev_uc_add" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x42ffc9d9, "_dev_crit" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xe3f908e4, "xdp_master_redirect" },
	{ 0x152a08f2, "__napi_schedule_irqoff" },
	{ 0x6a4aa349, "napi_schedule_prep" },
	{ 0xc97cfef9, "napi_consume_skb" },
	{ 0x370d1996, "pci_read_config_byte" },
	{ 0x30ad7e27, "xp_alloc_batch" },
	{ 0xe88ad3de, "napi_disable" },
	{ 0xb959dacc, "dev_kfree_skb_any_reason" },
	{ 0xfd64ec8f, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x13f3b8df, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x97497ce5, "flow_rule_match_control" },
	{ 0x4379ee86, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x4a007f93, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc87a3b86, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xea0e2e14, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x99934021, "__tracepoint_xdp_exception" },
	{ 0xcc0898b7, "xsk_tx_completed" },
	{ 0x8c3a1288, "alloc_etherdev_mqs" },
	{ 0xd1bc07a2, "pci_save_state" },
	{ 0xa75b5f46, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x46c2351f, "pcie_capability_read_word" },
	{ 0x395caa3d, "device_set_wakeup_enable" },
	{ 0x6ab16ab6, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x99b26758, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf7a890a6, "pci_find_ext_capability" },
	{ 0xf4529458, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6882e7c6, "xp_dma_map" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb10ad6ca, "skb_copy_bits" },
	{ 0x26ab4c43, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x21123cbf, "pci_request_selected_regions" },
	{ 0x873445c2, "pci_release_selected_regions" },
	{ 0x304d1130, "pci_wake_from_d3" },
	{ 0x41aa0090, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcd3c0032, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdc0eb9e9, "auxiliary_device_init" },
	{ 0xc1b69e18, "pci_enable_device_mem" },
	{ 0xc274e770, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x53fabb7a, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x839519, "xsk_tx_peek_release_desc_batch" },
	{ 0xd30ff8d, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0xf8ccdff4, "bpf_warn_invalid_xdp_action" },
	{ 0x7f15a087, "ndo_dflt_bridge_getlink" },
	{ 0x3cd697f5, "unregister_netdev" },
	{ 0xdd232bf4, "xdp_convert_zc_to_xdp_frame" },
	{ 0x17eb32b5, "xdp_features_set_redirect_target" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x399466e0, "pci_get_device" },
	{ 0x2a7e1188, "dma_unmap_page_attrs" },
	{ 0x37c6bb26, "request_firmware" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x9a58dd2d, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x867ac3b6, "__pci_register_driver" },
	{ 0x2eba52cb, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x533384c0, "pci_num_vf" },
	{ 0xe212c078, "flow_rule_match_eth_addrs" },
	{ 0x2de48152, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x377031a3, "pci_disable_msi" },
	{ 0x9e68d53f, "ptp_clock_index" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x9fd45d14, "xdp_do_redirect" },
	{ 0x101827e5, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x938067c, "bpf_trace_run2" },
	{ 0xc3b9cbd8, "netdev_warn" },
	{ 0x2fce87cd, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8988abaa, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x7555b5a1, "flow_rule_match_ipv4_addrs" },
	{ 0x23d29709, "__netif_napi_del" },
	{ 0xa6d45863, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x63db66c5, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x77d84c64, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x35d36a2b, "pskb_expand_head" },
	{ 0x6b6877ac, "dev_driver_string" },
	{ 0xf4dc8e19, "pci_restore_msi_state" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x7675c96b, "dev_addr_mod" },
	{ 0xa8f7058f, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2fe57a6f, "ptp_find_pin" },
	{ 0xaac814ad, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x423f1757, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xbff8608c, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5242bd, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4968a359, "put_device" },
	{ 0x35039b94, "__napi_schedule" },
	{ 0xc2ae712c, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x880215ac, "pci_enable_msix_range" },
	{ 0xc23ba6a9, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1020ec67, "__free_pages" },
	{ 0xcff253e8, "__hw_addr_unsync_dev" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xc285ac5f, "napi_gro_receive" },
	{ 0x5a51e2f, "xdp_features_clear_redirect_target" },
	{ 0x4ccae980, "pci_select_bars" },
	{ 0xef7dcf45, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb91e63d7, "xp_raw_get_dma" },
	{ 0x80acde4, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1357d344, "xdp_rxq_info_is_reg" },
	{ 0x6fbc2b6b, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcf769ab1, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x386afaa1, "pci_enable_msi" },
	{ 0x648bc22d, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x20972a29, "_dev_err" },
	{ 0xb66df36f, "softnet_data" },
	{ 0x4e53c65, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x3b97858, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdd197996, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0x6d86b124, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5222d03c, "netif_set_real_num_tx_queues" },
	{ 0xfb16de3c, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6054F5175E00297D767E680");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
