#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ks8851_suspend, "_gpl", "");
KSYMTAB_FUNC(ks8851_resume, "_gpl", "");
KSYMTAB_FUNC(ks8851_probe_common, "_gpl", "");
KSYMTAB_FUNC(ks8851_remove_common, "_gpl", "");

SYMBOL_CRC(ks8851_suspend, 0xf1747fab, "_gpl");
SYMBOL_CRC(ks8851_resume, 0x330906e5, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0x2095e999, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0x401a4135, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77d84c64, "netdev_err" },
	{ 0x128ccee5, "generic_mii_ioctl" },
	{ 0x7675c96b, "dev_addr_mod" },
	{ 0x36a9644a, "mii_ethtool_set_link_ksettings" },
	{ 0xd00350ce, "mii_ethtool_get_link_ksettings" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0x3b32218c, "mii_link_ok" },
	{ 0xcdc78fb, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x20a6e93b, "devm_gpiod_get_optional" },
	{ 0x49ac7a72, "gpiod_set_consumer_name" },
	{ 0x7881599e, "devm_regulator_get" },
	{ 0xe9f26272, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7bfddc2d, "gpiod_set_value_cansleep" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x3696e566, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5b5c9bc7, "__mdiobus_register" },
	{ 0x36dc0c70, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xacfc69c1, "register_netdev" },
	{ 0x20972a29, "_dev_err" },
	{ 0x5e2f886, "mdiobus_unregister" },
	{ 0xc161bcdc, "mdiobus_free" },
	{ 0xba57536e, "regulator_disable" },
	{ 0xc3b9cbd8, "netdev_warn" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x3cd697f5, "unregister_netdev" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4f4c7502, "netif_device_attach" },
	{ 0x101827e5, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x489204a7, "__dynamic_netdev_dbg" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5b207caf, "skb_dequeue" },
	{ 0xc274e770, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xea0e2e14, "netdev_info" },
	{ 0x90df6a6d, "netif_device_detach" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6e25623c, "__netdev_alloc_skb" },
	{ 0x1eaff66d, "skb_put" },
	{ 0xaac814ad, "eth_type_trans" },
	{ 0x33e165eb, "__netif_rx" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x787c89a8, "mii_check_link" },
	{ 0x3db666ed, "netif_tx_wake_queue" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "mii,eeprom_93cx6,libphy");


MODULE_INFO(srcversion, "0439A4CFAAC409F63C93DF8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
