#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0xeeba9b7c, "");
SYMBOL_CRC(phy_get_rate_matching, 0x0c6ff186, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0xbfc3b220, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x12a7ef4d, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x74b1745a, "");
SYMBOL_CRC(phy_mii_ioctl, 0x66f8bf71, "");
SYMBOL_CRC(phy_do_ioctl, 0x94af0371, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x8eecd434, "");
SYMBOL_CRC(phy_queue_state_machine, 0xdb6c30a6, "");
SYMBOL_CRC(phy_trigger_machine, 0xcfd73e40, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x5c482cc9, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0xe6995b27, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0xf93a329b, "");
SYMBOL_CRC(phy_start_cable_test, 0xfc59681f, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xc144f1aa, "");
SYMBOL_CRC(phy_config_aneg, 0x06ff140d, "");
SYMBOL_CRC(phy_start_aneg, 0x8b1d2f45, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x81b63c75, "");
SYMBOL_CRC(phy_speed_down, 0x8657c56b, "_gpl");
SYMBOL_CRC(phy_speed_up, 0xabab186c, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x15425e27, "_gpl");
SYMBOL_CRC(phy_error, 0x143589c4, "");
SYMBOL_CRC(phy_request_interrupt, 0x73171805, "");
SYMBOL_CRC(phy_free_interrupt, 0xd372d697, "");
SYMBOL_CRC(phy_stop, 0x4c7ab100, "");
SYMBOL_CRC(phy_start, 0xde73b174, "");
SYMBOL_CRC(phy_mac_interrupt, 0x450bee1a, "");
SYMBOL_CRC(phy_init_eee, 0xe3e726fb, "");
SYMBOL_CRC(phy_get_eee_err, 0x8e984643, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x68941768, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x5071dee4, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x62b0928d, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x9c0ee120, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0xb9fad6a7, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x2e3a0a9f, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x95a644e7, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0xd86c3b3c, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x0224079d, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x6db76430, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x75cb8704, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x5f2081d6, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x577fea9f, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x4a7cfd6e, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xa7ba902f, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x26b3ece3, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0xfcb1dc59, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x1f91bbef, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x20c855ab, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x5c4c0fe6, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x834ae8c0, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0xeaafbdd9, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0xd3569cc2, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x48293456, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0xef1746c2, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0xee492814, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0xec02d77c, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x95ae4c1e, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x4dd02381, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x8f9541f9, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x8835c35f, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x77bf1b61, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0xd844aaa7, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x94c58c8e, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x0640040b, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x064f9097, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0xfcfaa56d, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xfcdeb0e2, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x037563b7, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0xccc4418b, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0xc53728d5, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xe4f78e53, "");
SYMBOL_CRC(phy_read_mmd, 0xfb377f6d, "");
SYMBOL_CRC(__phy_write_mmd, 0xc007b33d, "");
SYMBOL_CRC(phy_write_mmd, 0x07fa089c, "");
SYMBOL_CRC(phy_modify_changed, 0x9e68f6f8, "_gpl");
SYMBOL_CRC(__phy_modify, 0x144d1e7c, "_gpl");
SYMBOL_CRC(phy_modify, 0xf64d52b2, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xad68cd70, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0xccc24074, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x8a9624be, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x40795d81, "_gpl");
SYMBOL_CRC(phy_save_page, 0x2d8d46ea, "_gpl");
SYMBOL_CRC(phy_select_page, 0x40cb638d, "_gpl");
SYMBOL_CRC(phy_restore_page, 0xd1420177, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x75948a11, "");
SYMBOL_CRC(phy_write_paged, 0x85f40a77, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x16bc5584, "");
SYMBOL_CRC(phy_modify_paged, 0xba8c16d2, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0xc82343c2, "");
SYMBOL_CRC(phy_register_fixup, 0x8421f4f4, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xc95d2dd0, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x4cc1d389, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x6023dada, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xbcc4635b, "");
SYMBOL_CRC(get_phy_device, 0x50128011, "");
SYMBOL_CRC(phy_device_register, 0x7f3366ec, "");
SYMBOL_CRC(phy_device_remove, 0x9577657c, "");
SYMBOL_CRC(phy_get_c45_ids, 0x5361c46a, "");
SYMBOL_CRC(phy_find_first, 0x37b07113, "");
SYMBOL_CRC(phy_connect_direct, 0x091095af, "");
SYMBOL_CRC(phy_connect, 0xe1af42de, "");
SYMBOL_CRC(phy_disconnect, 0xb2458379, "");
SYMBOL_CRC(phy_init_hw, 0x0661d4f7, "");
SYMBOL_CRC(phy_attached_info, 0x833021aa, "");
SYMBOL_CRC(phy_attached_info_irq, 0x2668d17a, "");
SYMBOL_CRC(phy_attached_print, 0x11cf6b02, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x5025c2ea, "");
SYMBOL_CRC(phy_attach_direct, 0x674ccfba, "");
SYMBOL_CRC(phy_attach, 0xb0bd784f, "");
SYMBOL_CRC(phy_driver_is_genphy, 0xa0fa5e41, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0xbca20c30, "_gpl");
SYMBOL_CRC(phy_package_join, 0x5cffa649, "_gpl");
SYMBOL_CRC(phy_package_leave, 0xdf1c2fd5, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x972af4ae, "_gpl");
SYMBOL_CRC(phy_detach, 0x1096ca0f, "");
SYMBOL_CRC(phy_suspend, 0x363dfc26, "");
SYMBOL_CRC(__phy_resume, 0x786e91c1, "");
SYMBOL_CRC(phy_resume, 0xaa136e13, "");
SYMBOL_CRC(phy_loopback, 0x4c99a378, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x0ea51e06, "");
SYMBOL_CRC(genphy_config_eee_advert, 0xeb0dd4e7, "");
SYMBOL_CRC(genphy_setup_forced, 0x23e2add9, "");
SYMBOL_CRC(genphy_read_master_slave, 0xc3449761, "");
SYMBOL_CRC(genphy_restart_aneg, 0xcc187ceb, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x3fbc9d5a, "");
SYMBOL_CRC(__genphy_config_aneg, 0x2a542c80, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x88e5689b, "");
SYMBOL_CRC(genphy_aneg_done, 0x86d81e2b, "");
SYMBOL_CRC(genphy_update_link, 0x6f63bf9f, "");
SYMBOL_CRC(genphy_read_lpa, 0x69ed6d5a, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x0dea4c26, "");
SYMBOL_CRC(genphy_read_status, 0x7722443a, "");
SYMBOL_CRC(genphy_c37_read_status, 0x2c528c35, "");
SYMBOL_CRC(genphy_soft_reset, 0xa63b581e, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x49eb6271, "");
SYMBOL_CRC(genphy_read_abilities, 0xcf6d76a7, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0xcf5e09f7, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0xacf516a4, "");
SYMBOL_CRC(genphy_suspend, 0xa01abc7c, "");
SYMBOL_CRC(genphy_resume, 0x84fbba59, "");
SYMBOL_CRC(genphy_loopback, 0x889bde31, "");
SYMBOL_CRC(phy_remove_link_mode, 0xff19ca74, "");
SYMBOL_CRC(phy_advertise_supported, 0xf57b3cdc, "");
SYMBOL_CRC(phy_support_sym_pause, 0xe41de57d, "");
SYMBOL_CRC(phy_support_asym_pause, 0x44eaa866, "");
SYMBOL_CRC(phy_set_sym_pause, 0x901df5e7, "");
SYMBOL_CRC(phy_set_asym_pause, 0x8c8cd404, "");
SYMBOL_CRC(phy_validate_pause, 0xb530c06b, "");
SYMBOL_CRC(phy_get_pause, 0x48391bd5, "");
SYMBOL_CRC(phy_get_internal_delay, 0x92c8edbe, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x0d9ad0a0, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x43349290, "");
SYMBOL_CRC(device_phy_find_device, 0xd1830db0, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x01a037f2, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x66331b41, "");
SYMBOL_CRC(phy_drivers_register, 0xf1a11b0f, "");
SYMBOL_CRC(phy_driver_unregister, 0x6796dffe, "");
SYMBOL_CRC(phy_drivers_unregister, 0x36e601af, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0xe0528848, "");
SYMBOL_CRC(mdiobus_unregister_device, 0xd189b1a3, "");
SYMBOL_CRC(mdiobus_get_phy, 0x4f0d902a, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xb161d144, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x3696e566, "");
SYMBOL_CRC(mdio_find_bus, 0xf14101be, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x18c032bd, "");
SYMBOL_CRC(__mdiobus_register, 0x5b5c9bc7, "");
SYMBOL_CRC(mdiobus_unregister, 0x05e2f886, "");
SYMBOL_CRC(mdiobus_free, 0xc161bcdc, "");
SYMBOL_CRC(__mdiobus_read, 0x28e8dd7c, "");
SYMBOL_CRC(__mdiobus_write, 0xdd4d31cd, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x010af14f, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x3de86d37, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x34b0d0fa, "");
SYMBOL_CRC(mdiobus_read_nested, 0xa58f2ddf, "");
SYMBOL_CRC(mdiobus_read, 0x143b3410, "");
SYMBOL_CRC(mdiobus_c45_read, 0x87f700a0, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x68c02565, "");
SYMBOL_CRC(mdiobus_write_nested, 0xdb9682c8, "");
SYMBOL_CRC(mdiobus_write, 0xd4b81f86, "");
SYMBOL_CRC(mdiobus_c45_write, 0x3aca2a61, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0x1ca6775f, "");
SYMBOL_CRC(__mdiobus_modify, 0xcee098f7, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0x48964d95, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x9dc1063f, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x89e2d185, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xed4d786d, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x13a379a2, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x570e738f, "");
SYMBOL_CRC(mdio_device_create, 0xd34d697a, "");
SYMBOL_CRC(mdio_device_register, 0xc21b25bb, "");
SYMBOL_CRC(mdio_device_remove, 0x7ad58eca, "");
SYMBOL_CRC(mdio_device_reset, 0x9be9822b, "");
SYMBOL_CRC(mdio_driver_register, 0x5791f5db, "");
SYMBOL_CRC(mdio_driver_unregister, 0x96a6d2f8, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0xce1b48d6, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0xa06f7592, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0xf8b6dced, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0x637456d, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xbbf7be83, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x7bfddc2d, "gpiod_set_value_cansleep" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62b056a3, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20a6e93b, "devm_gpiod_get_optional" },
	{ 0xc0a24615, "get_device" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0xf4066d37, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x51536cdd, "device_match_fwnode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x50664140, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4968a359, "put_device" },
	{ 0xb8839b70, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x6b41fb5d, "module_put" },
	{ 0xe76e605a, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x648bc22d, "perf_trace_run_bpf_submit" },
	{ 0x8a08fe39, "bus_unregister" },
	{ 0x888b4aab, "devm_kfree" },
	{ 0x20972a29, "_dev_err" },
	{ 0x86d3dbf0, "bus_find_device" },
	{ 0x91500e5c, "device_add" },
	{ 0x8521643, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xecd63db6, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x713c5a29, "is_acpi_data_node" },
	{ 0x838bf28b, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xd22b3765, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x3e7692fe, "class_unregister" },
	{ 0x74e665c, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7c82e0e1, "device_register" },
	{ 0x5052a005, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x260e5d7c, "device_bind_driver" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe0e77f1e, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfb568e09, "netdev_alert" },
	{ 0x2577298f, "ethnl_cable_test_alloc" },
	{ 0x5e1c161b, "fwnode_find_reference" },
	{ 0xfefc4821, "fwnode_property_read_string" },
	{ 0xdd64e639, "strscpy" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd7628d96, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfc85ff88, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36dc0c70, "netif_carrier_off" },
	{ 0x710276ec, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6e18acb, "led_trigger_register" },
	{ 0x6284ff5, "netif_carrier_on" },
	{ 0x7032c94f, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e1dc4d8, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x172da9e6, "sysfs_create_link_nowarn" },
	{ 0xe5a8211e, "dev_err_probe" },
	{ 0xe8a8dcb9, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0x29515e46, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x4a64cd44, "led_trigger_event" },
	{ 0x2ef96a0a, "device_release_driver" },
	{ 0xc067962b, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x49ac7a72, "gpiod_set_consumer_name" },
	{ 0x942efa81, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2f957a57, "driver_register" },
	{ 0x6ddc1c21, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa9ef0833, "__dev_fwnode" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xea0e2e14, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc8cad1a2, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x3c0a2e3b, "class_find_device" },
	{ 0xbd99c4ad, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f8453e0, "is_acpi_device_node" },
	{ 0xb5f9afa1, "gpiod_put" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0xac2bab21, "sysfs_create_file_ns" },
	{ 0xb42a9bd6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "39FECCB5D2F727305C4B51F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
