#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x7ccb9656, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x0dd3cb2d, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x8165b19f, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xad35b143, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x973a17fa, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x426dfe2a, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x410edeb5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x129ba648, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x858713c4, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0xfa9eb63d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x15a290cb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xf9e51660, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xfee4a92a, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x8d968ec4, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x7454cc9f, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x6b8d6f60, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x0ff02cf1, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x60aa609d, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xe26f544d, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x9cb7fd8a, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x6a09b4aa, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x3ca2acd0, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xc3336826, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x221b079d, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x27c02a2a, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xa67a720f, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x77a3e770, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x0b251716, "_gpl");
SYMBOL_CRC(mt76_rx, 0x4d428161, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x64ae4c1b, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x366799cc, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xb4ce68f3, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x8a8024a0, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x4039a672, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x0551764d, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x917af3aa, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x5a520ac4, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x6231edfc, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x54f5de5b, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x12643c5b, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x68ce7fab, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x9ddd444f, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x9b77924c, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x6af56cb5, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x906faee9, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0xac5d611e, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x641677a4, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x7b26421e, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xf6cb0ab9, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xa3e025a4, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x453d083f, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x12fe5ae4, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xce1fc193, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xf111122e, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x1bc9ae78, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x11fbc14f, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x45d75463, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0xff42ab7c, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x83a4a1b7, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x687a2bbc, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xee9d190d, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x27d482cc, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x37aef1fb, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x5cab271c, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xbf3003ef, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x443f9726, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xfd9a2ed5, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xa90eecc6, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x957d8710, "_gpl");
SYMBOL_CRC(mt76_tx, 0xd514b06c, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x57b44d9e, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x92074808, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x84809517, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x388605a4, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x97dff587, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x071fbec0, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x2b063b80, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x08773e5b, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x80a2fcec, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x14671416, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xc4621157, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x232d75cf, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x669306c3, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x66344bd3, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xdf5d8dfb, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x0648afcb, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xa940b196, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xab271a89, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x24e9d8f9, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x1bf4eb81, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xa1b189b5, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xfb919946, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x44a05df1, "page_pool_destroy" },
	{ 0x785faf22, "ieee80211_register_hw" },
	{ 0xe7c636f, "led_classdev_unregister" },
	{ 0x67a8cdd1, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xaec1f9c6, "ieee80211_sta_eosp" },
	{ 0x69190fea, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x23d29709, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x32ae02ba, "kthread_park" },
	{ 0xf5270738, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6775e6e1, "wake_up_process" },
	{ 0x6b6877ac, "dev_driver_string" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x423f1757, "dma_map_page_attrs" },
	{ 0xbff8608c, "napi_complete_done" },
	{ 0x93091690, "ieee80211_get_tx_rates" },
	{ 0x4e00c277, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xe91809f2, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x91621d7a, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x3a739e4d, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xac2c1f3f, "pci_disable_link_state" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xc285ac5f, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xa07f803d, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x3bebb4fd, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc8473404, "debugfs_attr_read" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xff5b2c22, "ieee80211_queue_delayed_work" },
	{ 0x7f6f4767, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x648bc22d, "perf_trace_run_bpf_submit" },
	{ 0xb57f41de, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x434d7340, "simple_attr_release" },
	{ 0xa8aa18c0, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb1afe8dd, "ieee80211_find_sta_by_ifaddr" },
	{ 0x27683e24, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x619e8d6f, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7aec7b1a, "skb_push" },
	{ 0xc8765b8e, "napi_enable" },
	{ 0x260fb8fd, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0x6ccc046d, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc611cf1, "kthread_stop" },
	{ 0xa8e147e3, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x400c010f, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x328ba7c6, "ieee80211_tx_dequeue" },
	{ 0x9f7f48a8, "ieee80211_rx_list" },
	{ 0xa74ccf83, "dma_sync_single_for_cpu" },
	{ 0x9d95cb4f, "page_pool_create" },
	{ 0xd1943667, "page_pool_put_defragged_page" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc2f8711b, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6e4d9e6, "kthread_create_on_node" },
	{ 0xf1d07a4d, "cfg80211_reg_can_beacon" },
	{ 0x51a447ce, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x9249eaa1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x18eb1849, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd0d6bc82, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xe3b2bcce, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc5e384a9, "debugfs_create_u8" },
	{ 0x13f3b8df, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1d7950e5, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0x1709b73e, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb9b2c2fc, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x46c2351f, "pcie_capability_read_word" },
	{ 0x6ab16ab6, "__skb_pad" },
	{ 0x16ac437a, "page_pool_get_stats" },
	{ 0x24377189, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2a0b0e66, "__ieee80211_schedule_txq" },
	{ 0x828732bc, "debugfs_attr_write" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x1eaff66d, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x42e52318, "page_pool_alloc_frag" },
	{ 0xc274e770, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x53fabb7a, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3142fc96, "dmam_alloc_attrs" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x5b207caf, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa307ecbb, "ieee80211_free_hw" },
	{ 0x2a7e1188, "dma_unmap_page_attrs" },
	{ 0xdc5fd3d4, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2eba52cb, "dma_sync_single_for_device" },
	{ 0x2de48152, "skb_add_rx_frag" },
	{ 0xb718debe, "ieee80211_tx_status_ext" },
	{ 0xdfb52a81, "debugfs_create_blob" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "5F96115480E1880EDA5B5CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
