#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x785faf22, "ieee80211_register_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0xcc69d481, "usb_get_intf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x26c90b8f, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x434b0fa6, "ieee80211_tx_status_irqsafe" },
	{ 0x872aa0e5, "usb_bulk_msg" },
	{ 0x3e77110e, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xc1813b9b, "usb_submit_urb" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xa07f803d, "skb_queue_tail" },
	{ 0xc6baa9da, "usb_queue_reset_device" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x20972a29, "_dev_err" },
	{ 0xc7087a2, "usb_free_coherent" },
	{ 0x32c1a662, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x374430c5, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7aec7b1a, "skb_push" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf0966b55, "usb_control_msg" },
	{ 0xbb299d8, "ieee80211_wake_queues" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x400c010f, "ieee80211_alloc_hw_nm" },
	{ 0xf276584b, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6e25623c, "__netdev_alloc_skb" },
	{ 0xb7fc68ac, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x11fc91fb, "pv_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x18eb1849, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x102b3dd7, "usb_reset_configuration" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x44d590f7, "usb_kill_urb" },
	{ 0x67871c0, "ieee80211_beacon_get_tim" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0x6f92865, "ieee80211_rx_irqsafe" },
	{ 0x357ef89a, "usb_put_intf" },
	{ 0x54c086c5, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49c079d7, "usb_free_urb" },
	{ 0x1eaff66d, "skb_put" },
	{ 0x547f5ed8, "usb_alloc_coherent" },
	{ 0xc274e770, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5b207caf, "skb_dequeue" },
	{ 0xa307ecbb, "ieee80211_free_hw" },
	{ 0x37c6bb26, "request_firmware" },
	{ 0x53dd5d4a, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3abd1704, "regulatory_hint" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "mac80211,usbcore,cfg80211");

MODULE_ALIAS("usb:v16C1p1CDEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p000Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "EF4EF3336A72A497A1F5378");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
