#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0xab39c9b4, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x835f2947, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x656c528a, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x339473da, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x0a3904cb, "");
SYMBOL_CRC(sas_resume_ha, 0xd0ac185c, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0xf58ac9f3, "");
SYMBOL_CRC(sas_suspend_ha, 0x23a2540d, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xa757d4bc, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x94408156, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x4d6180f1, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xb3dbcc41, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x3125a6a3, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0xfaa59850, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x12df7644, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x414237d8, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x93f517d5, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x2b1f0989, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x290e5de5, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x821eb264, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xc3f223b2, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x60de3115, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xdda9c73a, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x09a7cddb, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0xc4481caf, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xab4ef6d3, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x0fb6342b, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x580e6038, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x04c7f4d5, "_gpl");
SYMBOL_CRC(sas_query_task, 0x272baab9, "_gpl");
SYMBOL_CRC(sas_abort_task, 0xa2f2e560, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x48fb985b, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xfbebc5a3, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xe999047f, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x790a0c16, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xd7eec639, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0xca80f731, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x82b593f2, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0xe95a6ace, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0xb5dac6b8, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50cf7585, "hex2bin" },
	{ 0x351b9124, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4968a359, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf208f0ea, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xce08ae7d, "kmem_cache_alloc" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xcb90b4bf, "sas_phy_free" },
	{ 0xd5f4e87, "scsi_eh_finish_cmd" },
	{ 0x33892a33, "ata_noop_qc_prep" },
	{ 0x972a79b, "ata_sas_port_alloc" },
	{ 0x182e3dc7, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x80af9870, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x66c626f9, "sas_port_mark_backlink" },
	{ 0xf102cb46, "kmem_cache_free" },
	{ 0xe8380420, "ata_link_abort" },
	{ 0xbbc5f1b4, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8011e93d, "ata_scsi_port_error_handler" },
	{ 0xd90bcd2f, "ata_change_queue_depth" },
	{ 0xd745243c, "ata_port_probe" },
	{ 0xe82e7c00, "ata_std_error_handler" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37b63854, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2b93f506, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x402e5c58, "sas_expander_alloc" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0xf021f63c, "sas_rphy_delete" },
	{ 0x67990b4e, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa0550213, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x32c2515f, "scsi_host_busy" },
	{ 0xe77a47ac, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9a897915, "ata_sas_port_suspend" },
	{ 0x27852bb5, "sas_rphy_add" },
	{ 0x609d65eb, "__pm_runtime_resume" },
	{ 0xaa3a1317, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x92984917, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa9dbcc6d, "sas_port_add_phy" },
	{ 0x18fc22fe, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x5cbfd6b, "ata_sas_slave_configure" },
	{ 0x63840a2c, "blk_mq_tagset_busy_iter" },
	{ 0x9b2bde9f, "scsi_done" },
	{ 0xdb8c7333, "scsi_unblock_requests" },
	{ 0x5dad0469, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x1e77df97, "ata_host_put" },
	{ 0x2f6960b, "sas_port_free" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0x57e79f1e, "ata_std_sched_eh" },
	{ 0xd2bb5796, "scsi_block_requests" },
	{ 0xba5a9d38, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x6ef0f4d3, "sas_remove_children" },
	{ 0x572ae3aa, "scsi_change_queue_depth" },
	{ 0xa805e081, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x408ac312, "ata_port_wait_eh" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xcf57a9c6, "kmem_cache_destroy" },
	{ 0xbc499de7, "ata_qc_complete" },
	{ 0xce1ee80b, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3a6d2a1d, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x70ba84a5, "bsg_job_done" },
	{ 0x81a2b2e0, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x74c86e5c, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x94f5809d, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcc79a840, "scsi_schedule_eh" },
	{ 0x37c6bb26, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x48634ca7, "ata_host_init" },
	{ 0x1b6ec0da, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x40ada929, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xcccc2fdd, "sas_port_get_phy" },
	{ 0x1cae7777, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x9e2755a2, "kmem_cache_create" },
	{ 0xc0a24615, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc0617c3a, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas,libata,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "1B0CF4C0C99D8060024246B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
