#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(scsi_logging_level, "", "");
KSYMTAB_FUNC(scsi_change_queue_depth, "", "");
KSYMTAB_FUNC(scsi_track_queue_full, "", "");
KSYMTAB_FUNC(scsi_get_vpd_page, "_gpl", "");
KSYMTAB_FUNC(scsi_report_opcode, "", "");
KSYMTAB_FUNC(scsi_device_get, "", "");
KSYMTAB_FUNC(scsi_device_put, "", "");
KSYMTAB_FUNC(__scsi_iterate_devices, "", "");
KSYMTAB_FUNC(starget_for_each_device, "", "");
KSYMTAB_FUNC(__starget_for_each_device, "", "");
KSYMTAB_FUNC(__scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(__scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_remove_host, "", "");
KSYMTAB_FUNC(scsi_add_host_with_dma, "", "");
KSYMTAB_FUNC(scsi_host_alloc, "", "");
KSYMTAB_FUNC(scsi_host_lookup, "", "");
KSYMTAB_FUNC(scsi_host_get, "", "");
KSYMTAB_FUNC(scsi_host_busy, "", "");
KSYMTAB_FUNC(scsi_host_put, "", "");
KSYMTAB_FUNC(scsi_is_host_device, "", "");
KSYMTAB_FUNC(scsi_queue_work, "_gpl", "");
KSYMTAB_FUNC(scsi_flush_work, "_gpl", "");
KSYMTAB_FUNC(scsi_host_complete_all_commands, "_gpl", "");
KSYMTAB_FUNC(scsi_host_busy_iter, "_gpl", "");
KSYMTAB_FUNC(scsi_set_medium_removal, "", "");
KSYMTAB_FUNC(scsi_cmd_allowed, "", "");
KSYMTAB_FUNC(put_sg_io_hdr, "", "");
KSYMTAB_FUNC(get_sg_io_hdr, "", "");
KSYMTAB_FUNC(scsi_ioctl, "", "");
KSYMTAB_FUNC(scsi_ioctl_block_when_processing_errors, "_gpl", "");
KSYMTAB_FUNC(scsi_bios_ptable, "", "");
KSYMTAB_FUNC(scsi_partsize, "", "");
KSYMTAB_FUNC(scsicam_bios_param, "", "");
KSYMTAB_FUNC(scsi_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(scsi_block_when_processing_errors, "", "");
KSYMTAB_FUNC(scsi_check_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_prep_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_restore_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_finish_cmd, "", "");
KSYMTAB_FUNC(scsi_eh_get_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_ready_devs, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_flush_done_q, "", "");
KSYMTAB_FUNC(scsi_report_bus_reset, "", "");
KSYMTAB_FUNC(scsi_report_device_reset, "", "");
KSYMTAB_FUNC(scsi_command_normalize_sense, "", "");
KSYMTAB_FUNC(scsi_get_sense_info_fld, "", "");
KSYMTAB_FUNC(scsi_execute_cmd, "", "");
KSYMTAB_FUNC(scsi_free_sgtables, "_gpl", "");
KSYMTAB_FUNC(scsi_alloc_sgtables, "", "");
KSYMTAB_FUNC(scsi_alloc_request, "_gpl", "");
KSYMTAB_FUNC(scsi_done, "", "");
KSYMTAB_FUNC(scsi_done_direct, "", "");
KSYMTAB_FUNC(__scsi_init_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_device_from_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_block_requests, "", "");
KSYMTAB_FUNC(scsi_unblock_requests, "", "");
KSYMTAB_FUNC(scsi_mode_select, "_gpl", "");
KSYMTAB_FUNC(scsi_mode_sense, "", "");
KSYMTAB_FUNC(scsi_test_unit_ready, "", "");
KSYMTAB_FUNC(scsi_device_set_state, "", "");
KSYMTAB_FUNC(sdev_evt_send, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_alloc, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_send_simple, "_gpl", "");
KSYMTAB_FUNC(scsi_device_quiesce, "", "");
KSYMTAB_FUNC(scsi_device_resume, "", "");
KSYMTAB_FUNC(scsi_target_quiesce, "", "");
KSYMTAB_FUNC(scsi_target_resume, "", "");
KSYMTAB_FUNC(scsi_internal_device_block_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_internal_device_unblock_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_block_targets, "_gpl", "");
KSYMTAB_FUNC(scsi_target_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_host_block, "_gpl", "");
KSYMTAB_FUNC(scsi_host_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_kmap_atomic_sg, "", "");
KSYMTAB_FUNC(scsi_kunmap_atomic_sg, "", "");
KSYMTAB_FUNC(sdev_disable_disk_events, "", "");
KSYMTAB_FUNC(sdev_enable_disk_events, "", "");
KSYMTAB_FUNC(scsi_vpd_lun_id, "", "");
KSYMTAB_FUNC(scsi_vpd_tpg_id, "", "");
KSYMTAB_FUNC(scsi_build_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_sense_key_string, "", "");
KSYMTAB_FUNC(scsi_extd_sense_format, "", "");
KSYMTAB_FUNC(scsi_hostbyte_string, "", "");
KSYMTAB_FUNC(scsi_mlreturn_string, "", "");
KSYMTAB_FUNC(scsi_dma_map, "", "");
KSYMTAB_FUNC(scsi_dma_unmap, "", "");
KSYMTAB_FUNC(scsi_is_target_device, "", "");
KSYMTAB_FUNC(scsi_sanitize_inquiry_string, "", "");
KSYMTAB_FUNC(__scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_resume_device, "", "");
KSYMTAB_FUNC(scsi_rescan_device, "", "");
KSYMTAB_FUNC(scsi_scan_target, "", "");
KSYMTAB_FUNC(scsi_scan_host, "", "");
KSYMTAB_FUNC(scsi_remove_device, "", "");
KSYMTAB_FUNC(scsi_remove_target, "", "");
KSYMTAB_FUNC(scsi_register_driver, "", "");
KSYMTAB_FUNC(scsi_register_interface, "", "");
KSYMTAB_FUNC(scsi_is_sdev_device, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_add_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_del_keyed, "", "");
KSYMTAB_FUNC(scsi_get_device_flags_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_add_list, "", "");
KSYMTAB_FUNC(scsi_dev_info_remove_list, "", "");
KSYMTAB_DATA(scsi_nl_sock, "_gpl", "");
KSYMTAB_FUNC(scsi_template_proc_dir, "_gpl", "");
KSYMTAB_FUNC(sdev_prefix_printk, "", "");
KSYMTAB_FUNC(scmd_printk, "", "");
KSYMTAB_FUNC(__scsi_format_command, "", "");
KSYMTAB_FUNC(scsi_print_command, "", "");
KSYMTAB_FUNC(scsi_print_sense_hdr, "", "");
KSYMTAB_FUNC(__scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_result, "", "");
KSYMTAB_FUNC(scsi_autopm_get_device, "_gpl", "");
KSYMTAB_FUNC(scsi_autopm_put_device, "_gpl", "");
KSYMTAB_FUNC(scsi_register_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_unregister_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_activate, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_set_params, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attach, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attached_handler_name, "_gpl", "");

SYMBOL_CRC(scsi_logging_level, 0xaf3dd7dc, "");
SYMBOL_CRC(scsi_change_queue_depth, 0x572ae3aa, "");
SYMBOL_CRC(scsi_track_queue_full, 0x7b69185e, "");
SYMBOL_CRC(scsi_get_vpd_page, 0xb2c0a717, "_gpl");
SYMBOL_CRC(scsi_report_opcode, 0x63bf38c3, "");
SYMBOL_CRC(scsi_device_get, 0xdbed904a, "");
SYMBOL_CRC(scsi_device_put, 0xee280b02, "");
SYMBOL_CRC(__scsi_iterate_devices, 0x6cb0053a, "");
SYMBOL_CRC(starget_for_each_device, 0xf81291ab, "");
SYMBOL_CRC(__starget_for_each_device, 0xf984ac95, "");
SYMBOL_CRC(__scsi_device_lookup_by_target, 0xa990c4b3, "");
SYMBOL_CRC(scsi_device_lookup_by_target, 0xabb6b14a, "");
SYMBOL_CRC(__scsi_device_lookup, 0x80387235, "");
SYMBOL_CRC(scsi_device_lookup, 0x1daf2054, "");
SYMBOL_CRC(scsi_remove_host, 0xfe370331, "");
SYMBOL_CRC(scsi_add_host_with_dma, 0xaaba32a7, "");
SYMBOL_CRC(scsi_host_alloc, 0xd903a63d, "");
SYMBOL_CRC(scsi_host_lookup, 0x653b9d3c, "");
SYMBOL_CRC(scsi_host_get, 0xc8de32c0, "");
SYMBOL_CRC(scsi_host_busy, 0x32c2515f, "");
SYMBOL_CRC(scsi_host_put, 0xf5203814, "");
SYMBOL_CRC(scsi_is_host_device, 0x67990b4e, "");
SYMBOL_CRC(scsi_queue_work, 0x8e19b18f, "_gpl");
SYMBOL_CRC(scsi_flush_work, 0x714263e8, "_gpl");
SYMBOL_CRC(scsi_host_complete_all_commands, 0x7fb29fcf, "_gpl");
SYMBOL_CRC(scsi_host_busy_iter, 0xce961212, "_gpl");
SYMBOL_CRC(scsi_set_medium_removal, 0xe0513b23, "");
SYMBOL_CRC(scsi_cmd_allowed, 0xeda2e038, "");
SYMBOL_CRC(put_sg_io_hdr, 0x5ec4aee6, "");
SYMBOL_CRC(get_sg_io_hdr, 0x1de4ccb2, "");
SYMBOL_CRC(scsi_ioctl, 0x81344e95, "");
SYMBOL_CRC(scsi_ioctl_block_when_processing_errors, 0xe11e79e2, "_gpl");
SYMBOL_CRC(scsi_bios_ptable, 0xce747667, "");
SYMBOL_CRC(scsi_partsize, 0xc10f6773, "");
SYMBOL_CRC(scsicam_bios_param, 0x310eb99c, "");
SYMBOL_CRC(scsi_schedule_eh, 0xcc79a840, "_gpl");
SYMBOL_CRC(scsi_block_when_processing_errors, 0xe7bb6202, "");
SYMBOL_CRC(scsi_check_sense, 0x4fb1dcf7, "_gpl");
SYMBOL_CRC(scsi_eh_prep_cmnd, 0xf77d0732, "");
SYMBOL_CRC(scsi_eh_restore_cmnd, 0x3beb488e, "");
SYMBOL_CRC(scsi_eh_finish_cmd, 0x0d5f4e87, "");
SYMBOL_CRC(scsi_eh_get_sense, 0x26c90ea4, "_gpl");
SYMBOL_CRC(scsi_eh_ready_devs, 0x40ada929, "_gpl");
SYMBOL_CRC(scsi_eh_flush_done_q, 0xf811e69d, "");
SYMBOL_CRC(scsi_report_bus_reset, 0x8c1ad8d7, "");
SYMBOL_CRC(scsi_report_device_reset, 0x6e7f6069, "");
SYMBOL_CRC(scsi_command_normalize_sense, 0x428596f9, "");
SYMBOL_CRC(scsi_get_sense_info_fld, 0xdd849d51, "");
SYMBOL_CRC(scsi_execute_cmd, 0x5b2c0aa7, "");
SYMBOL_CRC(scsi_free_sgtables, 0x8ecd91c9, "_gpl");
SYMBOL_CRC(scsi_alloc_sgtables, 0xebcb8c53, "");
SYMBOL_CRC(scsi_alloc_request, 0x63432e25, "_gpl");
SYMBOL_CRC(scsi_done, 0x9b2bde9f, "");
SYMBOL_CRC(scsi_done_direct, 0x7c383310, "");
SYMBOL_CRC(__scsi_init_queue, 0xcc257df9, "_gpl");
SYMBOL_CRC(scsi_device_from_queue, 0x4f06d3e4, "_gpl");
SYMBOL_CRC(scsi_block_requests, 0xd2bb5796, "");
SYMBOL_CRC(scsi_unblock_requests, 0xdb8c7333, "");
SYMBOL_CRC(scsi_mode_select, 0xe2ca286e, "_gpl");
SYMBOL_CRC(scsi_mode_sense, 0xac29818f, "");
SYMBOL_CRC(scsi_test_unit_ready, 0xd218ccb8, "");
SYMBOL_CRC(scsi_device_set_state, 0x9f6a53d6, "");
SYMBOL_CRC(sdev_evt_send, 0xed4c11ee, "_gpl");
SYMBOL_CRC(sdev_evt_alloc, 0x13ed8784, "_gpl");
SYMBOL_CRC(sdev_evt_send_simple, 0x7358824c, "_gpl");
SYMBOL_CRC(scsi_device_quiesce, 0x43902ec6, "");
SYMBOL_CRC(scsi_device_resume, 0x5c295f3f, "");
SYMBOL_CRC(scsi_target_quiesce, 0x15dd78ba, "");
SYMBOL_CRC(scsi_target_resume, 0x01189f7d, "");
SYMBOL_CRC(scsi_internal_device_block_nowait, 0xd7b42568, "_gpl");
SYMBOL_CRC(scsi_internal_device_unblock_nowait, 0x5a9164f7, "_gpl");
SYMBOL_CRC(scsi_block_targets, 0xae855cec, "_gpl");
SYMBOL_CRC(scsi_target_unblock, 0x33c56348, "_gpl");
SYMBOL_CRC(scsi_host_block, 0xc98bf0e8, "_gpl");
SYMBOL_CRC(scsi_host_unblock, 0x91fbdc3f, "_gpl");
SYMBOL_CRC(scsi_kmap_atomic_sg, 0xae66472b, "");
SYMBOL_CRC(scsi_kunmap_atomic_sg, 0x56c8799d, "");
SYMBOL_CRC(sdev_disable_disk_events, 0x7d057eaa, "");
SYMBOL_CRC(sdev_enable_disk_events, 0x2064e4f1, "");
SYMBOL_CRC(scsi_vpd_lun_id, 0x9afe182d, "");
SYMBOL_CRC(scsi_vpd_tpg_id, 0x603fc5cd, "");
SYMBOL_CRC(scsi_build_sense, 0x8860f824, "_gpl");
SYMBOL_CRC(scsi_sense_key_string, 0x96cd2b04, "");
SYMBOL_CRC(scsi_extd_sense_format, 0xd8a994eb, "");
SYMBOL_CRC(scsi_hostbyte_string, 0xb3d2c76d, "");
SYMBOL_CRC(scsi_mlreturn_string, 0xd1d87e92, "");
SYMBOL_CRC(scsi_dma_map, 0x05ccc038, "");
SYMBOL_CRC(scsi_dma_unmap, 0xdf05757d, "");
SYMBOL_CRC(scsi_is_target_device, 0x9dea435a, "");
SYMBOL_CRC(scsi_sanitize_inquiry_string, 0x27756bc8, "");
SYMBOL_CRC(__scsi_add_device, 0xfce11900, "");
SYMBOL_CRC(scsi_add_device, 0x463fa519, "");
SYMBOL_CRC(scsi_resume_device, 0x16edc05f, "");
SYMBOL_CRC(scsi_rescan_device, 0xe9228385, "");
SYMBOL_CRC(scsi_scan_target, 0x31bc3e1d, "");
SYMBOL_CRC(scsi_scan_host, 0x70661603, "");
SYMBOL_CRC(scsi_remove_device, 0xe918fe7c, "");
SYMBOL_CRC(scsi_remove_target, 0x6445a05b, "");
SYMBOL_CRC(scsi_register_driver, 0x7b36ff3b, "");
SYMBOL_CRC(scsi_register_interface, 0x08675f7f, "");
SYMBOL_CRC(scsi_is_sdev_device, 0x1d2cc4bf, "");
SYMBOL_CRC(scsi_dev_info_list_add_keyed, 0x2733eaf7, "");
SYMBOL_CRC(scsi_dev_info_list_del_keyed, 0xccfd2ebc, "");
SYMBOL_CRC(scsi_get_device_flags_keyed, 0x5678e270, "");
SYMBOL_CRC(scsi_dev_info_add_list, 0x204c5067, "");
SYMBOL_CRC(scsi_dev_info_remove_list, 0x97bdfa60, "");
SYMBOL_CRC(scsi_nl_sock, 0x1aa928b5, "_gpl");
SYMBOL_CRC(scsi_template_proc_dir, 0x67e71fc8, "_gpl");
SYMBOL_CRC(sdev_prefix_printk, 0xf8a87d33, "");
SYMBOL_CRC(scmd_printk, 0x61092b49, "");
SYMBOL_CRC(__scsi_format_command, 0x93022ba6, "");
SYMBOL_CRC(scsi_print_command, 0xe48521d0, "");
SYMBOL_CRC(scsi_print_sense_hdr, 0x8eb5c310, "");
SYMBOL_CRC(__scsi_print_sense, 0x52e411b9, "");
SYMBOL_CRC(scsi_print_sense, 0xa214a486, "");
SYMBOL_CRC(scsi_print_result, 0xc9ff7ca5, "");
SYMBOL_CRC(scsi_autopm_get_device, 0xc85c9019, "_gpl");
SYMBOL_CRC(scsi_autopm_put_device, 0x691b19cc, "_gpl");
SYMBOL_CRC(scsi_register_device_handler, 0x64ad16b1, "_gpl");
SYMBOL_CRC(scsi_unregister_device_handler, 0x5315e9d1, "_gpl");
SYMBOL_CRC(scsi_dh_activate, 0xcadf4344, "_gpl");
SYMBOL_CRC(scsi_dh_set_params, 0x613e3205, "_gpl");
SYMBOL_CRC(scsi_dh_attach, 0xf9cc041c, "_gpl");
SYMBOL_CRC(scsi_dh_attached_handler_name, 0x5c4ed63f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x359faf4e, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xad953e8a, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6b41fb5d, "module_put" },
	{ 0xf8b0c63d, "blk_get_queue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd5551f24, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5fafbf36, "blk_rq_map_user" },
	{ 0x648bc22d, "perf_trace_run_bpf_submit" },
	{ 0x8a08fe39, "bus_unregister" },
	{ 0x20972a29, "_dev_err" },
	{ 0xd83bf5f2, "init_net" },
	{ 0x3c549e9f, "blk_update_request" },
	{ 0x32c1a662, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x86d3dbf0, "bus_find_device" },
	{ 0x91500e5c, "device_add" },
	{ 0xafba1481, "blk_rq_map_user_io" },
	{ 0xa03e0545, "blk_execute_rq_nowait" },
	{ 0xa07a37f0, "memchr" },
	{ 0x3bebc5ac, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x24030669, "blk_mq_delay_run_hw_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf102cb46, "kmem_cache_free" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5c1327d2, "seq_putc" },
	{ 0xe5c86ecb, "__blk_rq_map_sg" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x1293b007, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0xba3933ec, "blk_queue_segment_boundary" },
	{ 0xb422d1f5, "transport_configure_device" },
	{ 0x943a10f2, "bsg_register_queue" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3cff6f39, "netlink_kernel_release" },
	{ 0x3e7692fe, "class_unregister" },
	{ 0x75d31c89, "blk_mq_free_tag_set" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x784e63c6, "class_interface_register" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0xc611cf1, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x62cde4cf, "transport_add_device" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb6f2671, "blk_put_queue" },
	{ 0xf4a12234, "bpf_trace_run1" },
	{ 0x5052a005, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9c850aeb, "proc_mkdir" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7d79e505, "blk_mq_wait_quiesce_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5a766a62, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x94f3e7af, "blk_mq_init_queue" },
	{ 0x5936221d, "blk_post_runtime_resume" },
	{ 0x31f86cf4, "blk_rq_unmap_user" },
	{ 0x55ca89f5, "param_ops_string" },
	{ 0xaa97258a, "blk_clear_pm_only" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6e4d9e6, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x11fc91fb, "pv_ops" },
	{ 0x3b38613f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8a8181d9, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe7c30f36, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x97e847, "pm_runtime_forbid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xeb196c1b, "blk_mq_freeze_queue" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x609d65eb, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3e32a8a1, "blk_mq_destroy_queue" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2b2b93c3, "sysfs_break_active_protection" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x89abd5ae, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x1c57ff4b, "blk_rq_map_integrity_sg" },
	{ 0x3126739e, "transport_destroy_device" },
	{ 0x6b181a80, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x8d4ef2c2, "device_match_any" },
	{ 0x694e23f4, "blk_mq_unfreeze_queue" },
	{ 0xdf82a44, "blk_mq_start_request" },
	{ 0x63840a2c, "blk_mq_tagset_busy_iter" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xda588655, "single_release" },
	{ 0xc9085c51, "blk_mq_quiesce_queue_nowait" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0xa331af0f, "dma_unmap_sg_attrs" },
	{ 0xa0997163, "seq_open" },
	{ 0xda1d140c, "blk_pre_runtime_suspend" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0x3026c41e, "__pm_runtime_suspend" },
	{ 0xd47c22dd, "blk_queue_max_hw_sectors" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0x12df48f7, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x44f64dc6, "blk_mq_run_hw_queues" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xeee8de6c, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x403eac60, "sbitmap_get" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xab1cbf15, "blk_post_runtime_suspend" },
	{ 0x5f32f3e9, "blk_mq_requeue_request" },
	{ 0x2f957a57, "driver_register" },
	{ 0x6ddc1c21, "class_register" },
	{ 0xa805e081, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5e9f804f, "blk_queue_rq_timeout" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0x3d1d41cb, "kmem_cache_alloc_node" },
	{ 0x345d0985, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc8cad1a2, "bus_register" },
	{ 0xcf57a9c6, "kmem_cache_destroy" },
	{ 0xd3a8cb1d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c0a2e3b, "class_find_device" },
	{ 0x33173cc1, "__blk_mq_end_request" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x23244a06, "param_ops_ullong" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1e861774, "add_disk_randomness" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x26ab4c43, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb42a9bd6, "dev_set_name" },
	{ 0x3afc4a8f, "sbitmap_resize" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc3fab329, "proc_create" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x3ee6426b, "seq_release" },
	{ 0xe5b44af1, "blk_queue_max_segment_size" },
	{ 0xc4279801, "blk_pre_runtime_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7d9c279c, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa6414249, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x86e56fe8, "read_cache_folio" },
	{ 0xa81d5999, "sysfs_unbreak_active_protection" },
	{ 0x62b056a3, "device_initialize" },
	{ 0x188a2bb3, "blk_mq_unquiesce_queue" },
	{ 0x662d64ff, "blk_queue_dma_alignment" },
	{ 0x1cff8eab, "sbitmap_init_node" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0xd947c4d4, "__netlink_kernel_create" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x5c5b9a66, "blk_mq_kick_requeue_list" },
	{ 0x40df09d4, "proc_create_data" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0x9af3684c, "device_for_each_child" },
	{ 0x938067c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc0a24615, "get_device" },
	{ 0xad9cc2f2, "blk_set_queue_depth" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbf12ad, "netlink_ack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x56035e8e, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7b1edb9, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa1a0e3f0, "platform_bus" },
	{ 0xc4dc913c, "blk_mq_alloc_tag_set" },
	{ 0x6775e6e1, "wake_up_process" },
	{ 0x1741ddee, "trace_seq_puts" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x1b4ef4b6, "blk_rq_init" },
	{ 0xb938a45b, "blk_rq_count_integrity_sg" },
	{ 0x41b9a6e6, "bsg_unregister_queue" },
	{ 0x294d4fa6, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1f17a1bf, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6672b700, "blk_execute_rq" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x5fd650f1, "blk_set_pm_only" },
	{ 0xa58107b4, "dma_max_mapping_size" },
	{ 0x4968a359, "put_device" },
	{ 0xe9c89bd4, "pm_runtime_enable" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe24ee28d, "blk_mq_free_request" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "scsi_common");


MODULE_INFO(srcversion, "EB2740C47FA6EEA7CE6C3A9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
