#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(ieee80211_rx, "", "");
KSYMTAB_FUNC(ieee80211_rx_mgt, "", "");
KSYMTAB_FUNC(ieee80211_is_54g, "", "");
KSYMTAB_FUNC(ieee80211_is_shortslot, "", "");
KSYMTAB_FUNC(ieee80211_softmac_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_stop_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_start_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_stop_scan, "", "");
KSYMTAB_FUNC(ieee80211_start_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_ps_tx_ack, "", "");
KSYMTAB_FUNC(ieee80211_softmac_xmit, "", "");
KSYMTAB_FUNC(ieee80211_reset_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_disassociate, "", "");
KSYMTAB_FUNC(ieee80211_get_beacon, "", "");
KSYMTAB_FUNC(ieee80211_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(ieee80211_softmac_start_protocol, "", "");
KSYMTAB_FUNC(SendDisassociation_rsl, "", "");
KSYMTAB_FUNC(ieee80211_wpa_supplicant_ioctl, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event_rsl, "", "");
KSYMTAB_FUNC(ieee80211_txb_free, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mlme, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_auth, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_gen_ie, "", "");
KSYMTAB_DATA(ieee80211_wlan_frequencies, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rawtx, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_name, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_power, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_power, "", "");
KSYMTAB_FUNC(HTUpdateSelfAndPeerSetting, "", "");
KSYMTAB_FUNC(rtl8192u_dot11d_init, "", "");
KSYMTAB_FUNC(dot11d_reset, "", "");
KSYMTAB_FUNC(dot11d_update_country_ie, "", "");
KSYMTAB_FUNC(dot11d_get_max_tx_pwr_in_dbm, "", "");
KSYMTAB_FUNC(dot11d_scan_complete, "", "");
KSYMTAB_FUNC(is_legal_channel, "", "");
KSYMTAB_FUNC(to_legal_channel, "", "");

SYMBOL_CRC(ieee80211_rx, 0x1fd78402, "");
SYMBOL_CRC(ieee80211_rx_mgt, 0x4a576350, "");
SYMBOL_CRC(ieee80211_is_54g, 0xe3372510, "");
SYMBOL_CRC(ieee80211_is_shortslot, 0x6651f895, "");
SYMBOL_CRC(ieee80211_softmac_scan_syncro, 0x2c725509, "");
SYMBOL_CRC(ieee80211_stop_send_beacons, 0xf100aa17, "");
SYMBOL_CRC(ieee80211_start_send_beacons, 0xa5b16abe, "");
SYMBOL_CRC(ieee80211_stop_scan, 0x8f19a05d, "");
SYMBOL_CRC(ieee80211_start_scan_syncro, 0x988f4529, "");
SYMBOL_CRC(ieee80211_ps_tx_ack, 0xd3fa6825, "");
SYMBOL_CRC(ieee80211_softmac_xmit, 0x545f87a0, "");
SYMBOL_CRC(ieee80211_reset_queue, 0x10139220, "");
SYMBOL_CRC(ieee80211_wake_queue_rsl, 0x28d72eca, "");
SYMBOL_CRC(ieee80211_stop_queue_rsl, 0x10813044, "");
SYMBOL_CRC(ieee80211_disassociate, 0x6f38c3c8, "");
SYMBOL_CRC(ieee80211_get_beacon, 0x1bb24561, "");
SYMBOL_CRC(ieee80211_softmac_stop_protocol, 0x940722fc, "");
SYMBOL_CRC(ieee80211_softmac_start_protocol, 0xe36b1f2d, "");
SYMBOL_CRC(SendDisassociation_rsl, 0x4723aa66, "");
SYMBOL_CRC(ieee80211_wpa_supplicant_ioctl, 0x24cd6e3c, "");
SYMBOL_CRC(notify_wx_assoc_event_rsl, 0x86d8691f, "");
SYMBOL_CRC(ieee80211_txb_free, 0x186a219a, "");
SYMBOL_CRC(ieee80211_wx_get_scan, 0x8a4065f0, "");
SYMBOL_CRC(ieee80211_wx_set_encode, 0x71b51310, "");
SYMBOL_CRC(ieee80211_wx_get_encode, 0xaa365f88, "");
SYMBOL_CRC(ieee80211_wx_set_encode_ext, 0xcf6e2fbf, "");
SYMBOL_CRC(ieee80211_wx_get_encode_ext, 0xcfb55284, "");
SYMBOL_CRC(ieee80211_wx_set_mlme, 0x8dcf19e6, "");
SYMBOL_CRC(ieee80211_wx_set_auth, 0x748ff4f2, "");
SYMBOL_CRC(ieee80211_wx_set_gen_ie, 0x8d1c075f, "");
SYMBOL_CRC(ieee80211_wlan_frequencies, 0x232e7944, "");
SYMBOL_CRC(ieee80211_wx_set_freq, 0x23480d41, "");
SYMBOL_CRC(ieee80211_wx_get_freq, 0x7ec4e3e3, "");
SYMBOL_CRC(ieee80211_wx_get_wap, 0x49a8177d, "");
SYMBOL_CRC(ieee80211_wx_set_wap, 0xad5db787, "");
SYMBOL_CRC(ieee80211_wx_get_essid, 0x1b4aae68, "");
SYMBOL_CRC(ieee80211_wx_set_rate, 0x6d7f69c3, "");
SYMBOL_CRC(ieee80211_wx_get_rate, 0x30f38761, "");
SYMBOL_CRC(ieee80211_wx_set_rts, 0xb93752c1, "");
SYMBOL_CRC(ieee80211_wx_get_rts, 0x5dc2f23b, "");
SYMBOL_CRC(ieee80211_wx_set_mode, 0x4ca10071, "");
SYMBOL_CRC(ieee80211_wx_set_scan, 0xd7cc8b52, "");
SYMBOL_CRC(ieee80211_wx_set_essid, 0x23cfe042, "");
SYMBOL_CRC(ieee80211_wx_get_mode, 0x112deed3, "");
SYMBOL_CRC(ieee80211_wx_set_rawtx, 0x91373c2d, "");
SYMBOL_CRC(ieee80211_wx_get_name, 0x58c6b463, "");
SYMBOL_CRC(ieee80211_wx_set_power, 0xf6319d9c, "");
SYMBOL_CRC(ieee80211_wx_get_power, 0xceb4d3b6, "");
SYMBOL_CRC(HTUpdateSelfAndPeerSetting, 0x3673a9b0, "");
SYMBOL_CRC(rtl8192u_dot11d_init, 0xc540af1c, "");
SYMBOL_CRC(dot11d_reset, 0xebb7569d, "");
SYMBOL_CRC(dot11d_update_country_ie, 0x3840d9f0, "");
SYMBOL_CRC(dot11d_get_max_tx_pwr_in_dbm, 0xa2dccdb7, "");
SYMBOL_CRC(dot11d_scan_complete, 0x8421fb2c, "");
SYMBOL_CRC(is_legal_channel, 0x4e49fc5a, "");
SYMBOL_CRC(to_legal_channel, 0x47af8360, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0x374430c5, "kfree_skb_reason" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7aec7b1a, "skb_push" },
	{ 0x13242f70, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf0966b55, "usb_control_msg" },
	{ 0xcdeb665, "wireless_send_event" },
	{ 0x5c1327d2, "seq_putc" },
	{ 0xacfc69c1, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9a85352, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a7135eb, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf276584b, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3db666ed, "netif_tx_wake_queue" },
	{ 0x9c850aeb, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x8258da5, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb76230d, "netif_rx" },
	{ 0x6e25623c, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xae7272aa, "skb_trim" },
	{ 0x2907123e, "skb_unlink" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x489204a7, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfb568e09, "netdev_alert" },
	{ 0x3b38613f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5553efd3, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3ac4e8e3, "debugfs_create_file" },
	{ 0xd96c13ba, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6b181a80, "remove_proc_entry" },
	{ 0x44d590f7, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36dc0c70, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2136e18c, "skb_copy" },
	{ 0x6284ff5, "netif_carrier_on" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xda588655, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb959dacc, "dev_kfree_skb_any_reason" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0xb4836347, "single_open" },
	{ 0x4fce0b78, "crypto_alloc_shash" },
	{ 0x13f3b8df, "debugfs_create_dir" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xea0e2e14, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8c3a1288, "alloc_etherdev_mqs" },
	{ 0x54c086c5, "usb_alloc_urb" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x49c079d7, "usb_free_urb" },
	{ 0x1eaff66d, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc3fab329, "proc_create" },
	{ 0xc274e770, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3cd697f5, "unregister_netdev" },
	{ 0x5b207caf, "skb_dequeue" },
	{ 0x37c6bb26, "request_firmware" },
	{ 0x53dd5d4a, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x2d5094da, "dev_trans_start" },
	{ 0x6440a66c, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x514c667c, "seq_lseek" },
	{ 0x101827e5, "eth_validate_addr" },
	{ 0x7929104d, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc3b9cbd8, "netdev_warn" },
	{ 0x4032d2a2, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8634df7a, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x77d84c64, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3a1c908f, "skb_queue_purge_reason" },
	{ 0x7675c96b, "dev_addr_mod" },
	{ 0x659382b7, "crypto_destroy_tfm" },
	{ 0xaac814ad, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xc1813b9b, "usb_submit_urb" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xa07f803d, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc90a6537, "debugfs_lookup" },
	{ 0x210a8e41, "crypto_aead_setkey" },
	{ 0xd83bf5f2, "init_net" },
	{ 0xbd6ccd2a, "crypto_shash_setkey" },
	{ 0x32c1a662, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x97740ad, "crypto_aead_encrypt" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "libarc4,usbcore");

MODULE_ALIAS("usb:v0BDAp8709d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp805Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p9201d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0290d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep7A01d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "177EA336E36A5437CB1B9B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
