#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0xbcbd6bc1, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x5b2a4aa8, "");
SYMBOL_CRC(dccp_v4_send_check, 0x4e07ac47, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x6e420a9f, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x57e9c117, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xee905162, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x3086dbe8, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x29332ea1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a733c0c, "dccp_rcv_state_process" },
	{ 0x1943900f, "dccp_reqsk_send_ack" },
	{ 0xec3df3c, "inet_lookup_reuseport" },
	{ 0x20027ef9, "__inet_lookup_listener" },
	{ 0xba2cab8e, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xff7b4d43, "sock_common_getsockopt" },
	{ 0xf0eb6ef0, "inet_bind" },
	{ 0x29a2bdb4, "__inet_inherit_port" },
	{ 0x511a4fba, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x98d0cb44, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xab729927, "__xfrm_policy_check" },
	{ 0xa3df32b3, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5055b32, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x53826a69, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1653db0d, "sk_error_report" },
	{ 0x45314253, "register_pernet_subsys" },
	{ 0xa569ab2b, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0d2dc8, "inet_getname" },
	{ 0x7e23d85a, "inet_stream_connect" },
	{ 0xec26c668, "proto_unregister" },
	{ 0x8584029f, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9a29274e, "inet_ehashfn" },
	{ 0x2290148f, "inet_twsk_purge" },
	{ 0x96eb671, "dccp_done" },
	{ 0x513b1183, "inet_release" },
	{ 0x1a421172, "__sk_dst_check" },
	{ 0xa0dfb8ad, "dccp_disconnect" },
	{ 0xf096d20f, "ip_route_output_key_hash" },
	{ 0xf8a990d, "proto_register" },
	{ 0xc1c00711, "inet_hash" },
	{ 0x5a713964, "__sk_receive_skb" },
	{ 0x925315f, "dccp_poll" },
	{ 0x1004e9c9, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0xffd82638, "inet_csk_get_port" },
	{ 0x448c901c, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x59fa3a1b, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xb868e5b1, "inet_accept" },
	{ 0xdf5fe5fb, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1aae7127, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xda9e2e42, "inet_add_protocol" },
	{ 0x1b08b104, "inet_shutdown" },
	{ 0x8ad8fcc9, "sk_free" },
	{ 0x2acad0dc, "dccp_close" },
	{ 0x374430c5, "kfree_skb_reason" },
	{ 0x501568ea, "dccp_reqsk_init" },
	{ 0x8491b4bc, "inet_hash_connect" },
	{ 0xf102cb46, "kmem_cache_free" },
	{ 0xfdc09fb9, "inet_csk_route_child_sock" },
	{ 0x33cd3051, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0x6454ac4e, "inet_csk_update_pmtu" },
	{ 0x331e382c, "dccp_getsockopt" },
	{ 0x90102af5, "dccp_parse_options" },
	{ 0xf4b575ec, "unregister_pernet_subsys" },
	{ 0xa85ddf61, "skb_checksum" },
	{ 0x7b04afe1, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82120c98, "sock_no_mmap" },
	{ 0x8837ccd4, "__pskb_pull_tail" },
	{ 0xddfcf446, "dccp_child_process" },
	{ 0x95c4eb6d, "sock_common_recvmsg" },
	{ 0xf6a9a42b, "dccp_setsockopt" },
	{ 0xa50d351d, "dccp_ioctl" },
	{ 0x62264d02, "inet_sk_rebuild_header" },
	{ 0x949e89b8, "inet_del_protocol" },
	{ 0x96d60024, "ipv4_mtu" },
	{ 0x4a24a7e2, "dccp_recvmsg" },
	{ 0xd2067549, "inet_sendmsg" },
	{ 0x1b5925fb, "dccp_check_req" },
	{ 0xbd50805c, "dccp_create_openreq_child" },
	{ 0x79c9504, "inet_csk_prepare_forced_close" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0x4c9d2308, "sock_pfree" },
	{ 0xd2df346d, "dccp_rcv_established" },
	{ 0x51b03ca5, "dccp_send_sync" },
	{ 0xfaba1542, "dst_release" },
	{ 0x874b086e, "sock_release" },
	{ 0xc54419da, "dccp_make_response" },
	{ 0xaa4e4ee, "dccp_destroy_sock" },
	{ 0x9db2f1db, "dccp_ctl_make_reset" },
	{ 0x3ab80319, "sock_gettstamp" },
	{ 0xd898726e, "sk_setup_caps" },
	{ 0x7a120ef0, "ip_build_and_send_pkt" },
	{ 0x7ab4137, "dccp_sendmsg" },
	{ 0x4a87c12, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x7db7f80a, "inet_twsk_put" },
	{ 0x2918e0f, "inet_unhash" },
	{ 0xdab2dc35, "ip_getsockopt" },
	{ 0xb8c69eb7, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x59377896, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x66cbae88, "inet_csk_reqsk_queue_drop" },
	{ 0x178cc6f1, "__inet_lookup_established" },
	{ 0x46772bc6, "inet_bhash2_reset_saddr" },
	{ 0x91a46bff, "inet_csk_addr2sockaddr" },
	{ 0xbd426b3d, "inet_unregister_protosw" },
	{ 0xcb71a98c, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x84c52f48, "dccp_shutdown" },
	{ 0xdd0e734b, "inet_bhash2_update_saddr" },
	{ 0xd05a35f2, "dccp_connect" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "9DA0A26EFC48E12227569C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
