#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_slave_dev_check, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x9d729276, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x3d2904f4, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x651a1959, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xfd187404, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xfc1cc7e5, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x01c490c0, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x09f9a325, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x0d2a5626, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x6a9cc68f, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0xc24b17f4, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x13a2da2e, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x46f2c83f, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x1cea1e6d, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x6fca537f, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x4c51309d, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x8504ca14, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x1d0a025b, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x9d868ca2, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xb7071dde, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0x6885ecc1, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x441e1ec2, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x4eca515c, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xe7209b4d, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x7c0e3f98, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x76245b1c, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x6755dd30, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x7ecffc82, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x89edc3a4, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0x955e8c12, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x189223c0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4968a359, "put_device" },
	{ 0x859422ea, "devlink_resource_register" },
	{ 0x72b49746, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x90df6a6d, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd3ebc6d9, "switchdev_bridge_port_offload" },
	{ 0x4f4c7502, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x6b41fb5d, "module_put" },
	{ 0x73033c74, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x1e995a5c, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6def50a9, "devlink_region_create" },
	{ 0xe4a11985, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6b28ae36, "__dev_get_by_index" },
	{ 0xe384119c, "rtnl_link_unregister" },
	{ 0x648bc22d, "perf_trace_run_bpf_submit" },
	{ 0x6e6b2601, "devlink_port_unregister" },
	{ 0x20972a29, "_dev_err" },
	{ 0xd83bf5f2, "init_net" },
	{ 0x6a543829, "noop_qdisc" },
	{ 0x5c482cc9, "phy_ethtool_get_strings" },
	{ 0x12614bab, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x9036a4d8, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5708f10f, "dev_remove_pack" },
	{ 0xaae35e81, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x374430c5, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x97f67be8, "gro_cells_receive" },
	{ 0xa89ff14a, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x7aec7b1a, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x4d7f437c, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xd4fbe3f7, "dev_mc_del" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0x2aaa110b, "br_vlan_get_info" },
	{ 0x9a85352, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc161bcdc, "mdiobus_free" },
	{ 0xb9343369, "phylink_generic_validate" },
	{ 0x1c3edb5e, "sysfs_create_group" },
	{ 0x3c28c832, "devlink_resource_occ_get_register" },
	{ 0xdcbf8f96, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x22ded13d, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xe7506cb, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa40a7b28, "switchdev_bridge_port_unoffload" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf93a329b, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x5c0fd86a, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb76230d, "netif_rx" },
	{ 0x55cace12, "dev_mc_add" },
	{ 0x93784d3f, "flow_block_cb_alloc" },
	{ 0xb2617543, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xae7272aa, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x489204a7, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x11fc91fb, "pv_ops" },
	{ 0xa81ed43e, "sysfs_remove_group" },
	{ 0xd8fb31c9, "net_selftest" },
	{ 0x51a447ce, "bpf_trace_run3" },
	{ 0x5e2f886, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xe851665, "devlink_port_init" },
	{ 0x30b31c66, "__netpoll_setup" },
	{ 0xffd6bcc0, "__dev_queue_xmit" },
	{ 0x44c47fce, "vlan_vid_add" },
	{ 0x47cfa4a0, "devlink_params_register" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x8035f386, "vlan_vid_del" },
	{ 0xedc4747, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x86feb3de, "devlink_resources_unregister" },
	{ 0xf5fc272, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36dc0c70, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf53488e9, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x98a4944f, "devlink_port_region_create" },
	{ 0xc122ceab, "devlink_priv" },
	{ 0x2136e18c, "skb_copy" },
	{ 0xe8628fe8, "__hw_addr_sync_dev" },
	{ 0x9b6c2835, "devlink_port_register_with_ops" },
	{ 0x4f0d902a, "mdiobus_get_phy" },
	{ 0xfaba1542, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x5b5c9bc7, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe9b32870, "dev_uc_add" },
	{ 0x53850b69, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xa6357a5a, "br_mst_enabled" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x63353d9e, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0xb959dacc, "dev_kfree_skb_any_reason" },
	{ 0xfd64ec8f, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x942efa81, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x47dcb5db, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4a007f93, "dcb_ieee_setapp" },
	{ 0xe6995b27, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x43b5b486, "__skb_vlan_pop" },
	{ 0x4fdc42e1, "phylink_connect_phy" },
	{ 0x238d9b14, "br_get_ageing_time" },
	{ 0xd96b2c20, "register_netdevice" },
	{ 0x3696e566, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x49d2b30b, "netdev_lower_get_next" },
	{ 0x324d46b9, "flow_block_cb_lookup" },
	{ 0xa55473a7, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7e307f8e, "devlink_resource_occ_get_unregister" },
	{ 0xc5193a6a, "dev_set_mtu" },
	{ 0x92bac514, "br_vlan_enabled" },
	{ 0x6ab16ab6, "__skb_pad" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd627c4b5, "bpf_trace_run4" },
	{ 0x1d2ecb81, "devlink_unregister" },
	{ 0xbb65ca49, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x26493a5f, "br_port_flag_is_set" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdb5f189c, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf39601d9, "br_port_get_stp_state" },
	{ 0xc274e770, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb4b06794, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc77db537, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf0bda72d, "__netpoll_free" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0x5b3a5d65, "br_vlan_get_proto" },
	{ 0xaf6c93b4, "br_mst_get_state" },
	{ 0x3cd697f5, "unregister_netdev" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x68820595, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x97f48061, "netpoll_send_skb" },
	{ 0xf6263442, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x1b6f2551, "devlink_params_unregister" },
	{ 0xad57799b, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xbd374973, "devlink_alloc_ns" },
	{ 0xb419eb86, "dev_set_promiscuity" },
	{ 0x6900675d, "devlink_register" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x51486ac3, "devlink_free" },
	{ 0x76139627, "gro_cells_init" },
	{ 0x938067c, "bpf_trace_run2" },
	{ 0xc3b9cbd8, "netdev_warn" },
	{ 0x462e9998, "unregister_netdevice_queue" },
	{ 0xc0a24615, "get_device" },
	{ 0xf06737a5, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd7ed2228, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x6b05fe30, "switchdev_handle_fdb_event_to_device" },
	{ 0x77d84c64, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa2675540, "netdev_upper_dev_link" },
	{ 0x35d36a2b, "pskb_expand_head" },
	{ 0xacd4fa34, "switchdev_handle_port_attr_set" },
	{ 0xde1510ac, "phylink_create" },
	{ 0x8769a45d, "vlan_for_each" },
	{ 0xd1361489, "netdev_port_same_parent_id" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x7675c96b, "dev_addr_mod" },
	{ 0xaac814ad, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x18d61461, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x83f8f01d, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x20bc27e5, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "822601BCBC5BAAC7047E055");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
