#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xac0b8667, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x19eef8a1, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xb7bdd17e, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x2f144e3a, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xb10dc31e, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xfa4bfe9b, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x4781cdf8, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x61133ee5, "");
SYMBOL_CRC(ip_vs_conn_put, 0x8a8de607, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xe53f4528, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x0a23d884, "");
SYMBOL_CRC(register_ip_vs_app, 0x5f0b9062, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xf2ab6600, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x11bd8741, "");
SYMBOL_CRC(ip_vs_proto_get, 0xa9b0204d, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xbc9e926d, "");
SYMBOL_CRC(register_ip_vs_pe, 0x730c316c, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x3d722f20, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x8e1b4084, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3db118b, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xe4c26b3a, "nf_conntrack_alter_reply" },
	{ 0x617444c0, "ip_route_me_harder" },
	{ 0x374430c5, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7aec7b1a, "skb_push" },
	{ 0xf102cb46, "kmem_cache_free" },
	{ 0xd3f51406, "set_cpus_allowed_ptr" },
	{ 0x5c1327d2, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x455ca71, "nf_ct_expect_alloc" },
	{ 0xff342217, "skb_ensure_writable" },
	{ 0x48e905a4, "iov_iter_kvec" },
	{ 0xbaebf009, "ip_mc_join_group" },
	{ 0x9ba76e21, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x89f75711, "nf_unregister_net_hooks" },
	{ 0x469ba1ec, "inet_select_addr" },
	{ 0xcf564304, "unregister_pernet_device" },
	{ 0xc63774ee, "lock_sock_nested" },
	{ 0xb910d206, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xc611cf1, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x998d20f5, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf4b575ec, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x68cb9e1c, "kernel_connect" },
	{ 0xa85ddf61, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x18186bbb, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8837ccd4, "__pskb_pull_tail" },
	{ 0x2e311e03, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xae7272aa, "skb_trim" },
	{ 0xa4d02d80, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6e4d9e6, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xeec1feff, "nf_ct_deliver_cached_events" },
	{ 0xc4738ac9, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6618c5d8, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x35664952, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x96d60024, "ipv4_mtu" },
	{ 0xe5842a41, "skb_set_owner_w" },
	{ 0xee45550a, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb3365bba, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x87f1b7cc, "init_user_ns" },
	{ 0x88f84562, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6b181a80, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0x21b8b68b, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x91a374b0, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1158ccc9, "ipv4_update_pmtu" },
	{ 0x54c71bd9, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfaba1542, "dst_release" },
	{ 0x874b086e, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x3db2dde1, "ip_local_out" },
	{ 0xb884d4c4, "genl_unregister_family" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x6732a880, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcc766175, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcbeddaae, "kernel_sendmsg" },
	{ 0xc3a44b2, "nf_ct_netns_put" },
	{ 0x7ed274bb, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcf57a9c6, "kmem_cache_destroy" },
	{ 0xf082a76e, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x7e918b4c, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x5bd8b7ac, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0x64e3faf3, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5dfc3156, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x60c40afd, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xb10ad6ca, "skb_copy_bits" },
	{ 0x743d6988, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0xc274e770, "consume_skb" },
	{ 0x88875054, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x86596369, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x72ef7270, "nf_register_sockopt" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc7d9c683, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdfb639af, "kernel_bind" },
	{ 0xea6e3730, "set_user_nice" },
	{ 0x86568606, "genlmsg_put" },
	{ 0xd8245a4, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xad164860, "ip6_output" },
	{ 0x1a2195f3, "ip6_route_me_harder" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd144f3ff, "__module_get" },
	{ 0x5055b32, "ip_route_output_flow" },
	{ 0x9e2755a2, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x58ba2f6e, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3cb8cc3c, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x14b4cdef, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x35d36a2b, "pskb_expand_head" },
	{ 0x45314253, "register_pernet_subsys" },
	{ 0x6775e6e1, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x41429d40, "register_net_sysctl_sz" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x78a0cc1d, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe2c3667, "nf_register_net_hooks" },
	{ 0x639fef6, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x3a739e4d, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xce08ae7d, "kmem_cache_alloc" },
	{ 0xf71f7e40, "ipv6_sock_mc_join" },
	{ 0x6b41fb5d, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x1d363538, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe1c5f544, "__skb_get_hash" },
	{ 0xd83bf5f2, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1aae7127, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbe7fbcc5, "netlink_unicast" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "283E4E34403D21AF55E276F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
