#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt5670_jack_suspend, "_gpl", "");
KSYMTAB_FUNC(rt5670_jack_resume, "_gpl", "");
KSYMTAB_FUNC(rt5670_set_jack_detect, "_gpl", "");
KSYMTAB_FUNC(rt5670_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5670_components, "_gpl", "");

SYMBOL_CRC(rt5670_jack_suspend, 0xa31dfcc2, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0x56ae5c2b, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0x4ec6f5ce, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0x636abc12, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x20972a29, "_dev_err" },
	{ 0xd36eddd2, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x10b6a954, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x96911724, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x1118c438, "snd_soc_info_enum_double" },
	{ 0xa5877db0, "snd_soc_get_volsw" },
	{ 0xc0f5585a, "regmap_read" },
	{ 0xcee5f8f9, "snd_soc_put_volsw" },
	{ 0x8e545985, "snd_soc_component_update_bits" },
	{ 0x3d4ea97c, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xa8128056, "regmap_update_bits_base" },
	{ 0x2826dd77, "snd_soc_dapm_get_volsw" },
	{ 0x66d4373, "i2c_del_driver" },
	{ 0xf9d1503a, "regmap_register_patch" },
	{ 0x9e1cc5a0, "snd_soc_dapm_get_enum_double" },
	{ 0xeee8de6c, "__pm_runtime_disable" },
	{ 0xa805e081, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x30fca91e, "snd_soc_dapm_put_enum_double" },
	{ 0x461d8196, "regcache_cache_only" },
	{ 0xe6f7da50, "regcache_sync" },
	{ 0x872c7747, "regmap_write" },
	{ 0x26ab4c43, "param_ops_uint" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0xe492141d, "snd_soc_jack_free_gpios" },
	{ 0x972214d5, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xe3ba1a31, "snd_soc_jack_add_gpios" },
	{ 0xad7573dc, "snd_soc_dapm_disable_pin" },
	{ 0x473ce240, "snd_soc_dapm_force_enable_pin" },
	{ 0xfaff439d, "snd_soc_put_enum_double" },
	{ 0x322a9446, "regcache_mark_dirty" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc4ada0f, "snd_soc_component_write" },
	{ 0x87f8e17e, "snd_soc_dapm_sync" },
	{ 0x40aa52b3, "devm_snd_soc_register_component" },
	{ 0xb461e540, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9c89bd4, "pm_runtime_enable" },
	{ 0x7e033c92, "snd_soc_get_enum_double" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xe33c5fae, "i2c_register_driver" },
	{ 0x9fa5e8d9, "snd_soc_info_volsw" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");
MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("acpi*:10EC5640:*");

MODULE_INFO(srcversion, "89BB0CC3F640FEC914D3BB0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
