#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe17811f, "ceph_cls_lock_info" },
	{ 0xa698f998, "ceph_free_lockers" },
	{ 0xf254297e, "ceph_addr_is_blank" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0xd14c9e22, "osd_req_op_raw_data_in_pages" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xa6257a2f, "complete" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x4475c399, "blk_mq_end_request" },
	{ 0xdf82a44, "blk_mq_start_request" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0xc9fbe209, "osd_req_op_extent_osd_data_pages" },
	{ 0xf9a90b2f, "ceph_osdc_wait_request" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xdada3613, "set_capacity_and_notify" },
	{ 0xcde44ee8, "ceph_cls_lock" },
	{ 0x72844606, "ceph_osdc_list_watchers" },
	{ 0x75064804, "ceph_monc_blocklist_add" },
	{ 0x3244a09b, "ceph_cls_break_lock" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x6a418a08, "ceph_cls_set_cookie" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1057a279, "bsearch" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0xc29bf967, "strspn" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x65ba5729, "ceph_parse_mon_ips" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xc20e3410, "ceph_compare_options" },
	{ 0x3192ecb3, "ceph_wait_for_latest_osdmap" },
	{ 0x4cad6f0, "ceph_pg_poolid_by_name" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd144f3ff, "__module_get" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc4dc913c, "blk_mq_alloc_tag_set" },
	{ 0x55953f91, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xea8156a4, "blk_queue_flag_set" },
	{ 0xd47c22dd, "blk_queue_max_hw_sectors" },
	{ 0x5a766a62, "blk_queue_max_segments" },
	{ 0xe5b44af1, "blk_queue_max_segment_size" },
	{ 0x9d4f6bf4, "blk_queue_io_min" },
	{ 0x1e0228bf, "blk_queue_io_opt" },
	{ 0x2833783, "set_capacity" },
	{ 0x612be56a, "set_disk_ro" },
	{ 0xb42a9bd6, "dev_set_name" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x91500e5c, "device_add" },
	{ 0xd96087ae, "ceph_create_client" },
	{ 0xa6ed1c34, "ceph_open_session" },
	{ 0x51bf9950, "blk_queue_max_discard_sectors" },
	{ 0x4632580, "blk_queue_max_write_zeroes_sectors" },
	{ 0x349cba85, "strchr" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x328b50e6, "ceph_parse_param" },
	{ 0xc515a7da, "device_add_disk" },
	{ 0x5259b474, "__fs_parse" },
	{ 0xa1d1b5e9, "logfc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7ce87af, "fs_param_is_u32" },
	{ 0xc687554b, "fs_param_is_enum" },
	{ 0xb98259e1, "fs_param_is_string" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x37a0cba, "kfree" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x89db4eea, "ceph_client_gid" },
	{ 0xf2cdda10, "ceph_client_addr" },
	{ 0x88752eca, "ceph_osdc_alloc_request" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x5aeeee62, "ceph_oid_aprintf" },
	{ 0x3e59ef8c, "osd_req_op_extent_osd_data_bvec_pos" },
	{ 0xa5b6a98, "osd_req_op_extent_osd_data_bio" },
	{ 0xca80437b, "ceph_extent_to_file" },
	{ 0x1592c022, "osd_req_op_alloc_hint_init" },
	{ 0x757b6f41, "osd_req_op_extent_init" },
	{ 0x2cf0d815, "osd_req_op_init" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc0a24615, "get_device" },
	{ 0xcf57a9c6, "kmem_cache_destroy" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0x9e2755a2, "kmem_cache_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7c82e0e1, "device_register" },
	{ 0xc8cad1a2, "bus_register" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xa6414249, "device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4968a359, "put_device" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x8a08fe39, "bus_unregister" },
	{ 0x944f7b74, "alloc_pages" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x588ac207, "ceph_osdc_call" },
	{ 0x1020ec67, "__free_pages" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x754d539c, "strlen" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x62b056a3, "device_initialize" },
	{ 0xa2db598d, "put_disk" },
	{ 0x75d31c89, "blk_mq_free_tag_set" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x2a72d9c4, "ceph_cls_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x6bfc9c2, "osd_req_op_cls_init" },
	{ 0x262e09d1, "ceph_alloc_page_vector" },
	{ 0x8dfe9f2, "osd_req_op_cls_request_data_pages" },
	{ 0x489dbe18, "ceph_osdc_alloc_messages" },
	{ 0x41b749f, "ceph_osdc_start_request" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x547b1e85, "ceph_cls_assert_locked" },
	{ 0xdc15f6d6, "ceph_osdc_notify_ack" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcab3ebda, "ceph_destroy_client" },
	{ 0x2101cbc9, "ceph_oid_destroy" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xffb7c514, "ida_free" },
	{ 0x6b41fb5d, "module_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbaae84e7, "ceph_osdc_watch" },
	{ 0x6c59226b, "ceph_osdc_unwatch" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc44ac06d, "ceph_osdc_flush_notifies" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb196c1b, "blk_mq_freeze_queue" },
	{ 0xba068c53, "blk_mark_disk_dead" },
	{ 0x7a6308fd, "del_gendisk" },
	{ 0x5052a005, "device_del" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf403a2f7, "ceph_osdc_notify" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xae2b5b92, "ceph_osdc_put_request" },
	{ 0xf102cb46, "kmem_cache_free" },
	{ 0x38f2d94e, "ceph_file_to_extents" },
	{ 0xeef6cfa3, "ceph_iterate_extents" },
	{ 0xfcf1eee8, "osd_req_op_cls_request_data_bvecs" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xce08ae7d, "kmem_cache_alloc" },
	{ 0x3c8d7111, "ceph_get_num_objects" },
	{ 0x7173f750, "ceph_release_page_vector" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1018e3ca, "ceph_copy_from_page_vector" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "libceph");


MODULE_INFO(srcversion, "E9FF64EEF2557B0737633DD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
