#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x79bdaca1, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x291a7baf, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xf6bc2810, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0xb9a688b0, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xa7ef08bb, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x6f35598d, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xc993f4fc, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x562ebf98, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x02b6c579, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xfeec698c, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xdf7843cc, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x37ed179a, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x4f6a1013, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x1b2e30f8, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xb7974541, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x904c9336, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x8ea388ff, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xa815b5e0, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xc63bac9e, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x68d8dce7, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xf8f5e99e, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x708059b3, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xea30eeb6, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x6b53e216, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x63a477fb, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0x23961837, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xa43d6f7a, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xa24235fd, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x6e3ef833, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xad5f5373, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x785937c7, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xc4032da2, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x62e46d35, "");
SYMBOL_CRC(drm_dp_aux_init, 0xc0033ec9, "");
SYMBOL_CRC(drm_dp_aux_register, 0x10a2f093, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xd0102efc, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x488cc872, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xf1ea2ff9, "");
SYMBOL_CRC(drm_dp_read_desc, 0xe921b26a, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xb1a54254, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x8cbe79dd, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x350d8fae, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xd3caa0ea, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x79e3af01, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x1f27f9bb, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xe2f19e7d, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xa385c748, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x4a7356ab, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0xdc0a0bef, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xf70fe45a, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xa1920772, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xc29bd72b, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x3ac26fb1, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x6872fd45, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x6dbaab91, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xb0211d66, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x35008a9f, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x8dca4b37, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xacce22f6, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x96d0ecd5, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x2b5fb1b6, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x25320d89, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x61cc63d8, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x4c123fcf, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x2d0f9360, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x4ac75f3a, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xe37f974d, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x393e68cf, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x0c1e533b, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xd7926f1f, "");
SYMBOL_CRC(drm_dp_remove_payload, 0xcef85851, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xc57f0328, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x2eb793d9, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0xce049585, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xa646ee10, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x882180a3, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xd60e8f4e, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xf5c6c46e, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x6ebe21b5, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x9aa10926, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x75ee5ea7, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x7d942131, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x6c38d540, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x5db9cb89, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x536a189e, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x6a90b79a, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x308fc8f7, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x7a6821f2, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xeb3a3e7f, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x80328407, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x906ba6ad, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x9a7f6a73, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x5d665c5c, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xa5faf01f, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x66a6e3b1, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0xfdbdac7d, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x01997524, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x57aadfd5, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x086627d2, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0xa46bb4e4, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x00062237, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0xef9fba5e, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x6a6b2a02, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x6a1acae0, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x6c378b15, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x718c230e, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x2db43900, "");
SYMBOL_CRC(drm_scdc_read, 0xc15d5a73, "");
SYMBOL_CRC(drm_scdc_write, 0x022b9c47, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x67406ce9, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xf9eecc06, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x7eb64cd0, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xa1896e49, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x40c1409a, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x61a69bc5, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x5ea6a71b, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xb9d4d93d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6779cbdf, "drm_mode_object_put" },
	{ 0x6b6877ac, "dev_driver_string" },
	{ 0x97550055, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x6118c88f, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1fdd44d5, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe432e87f, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x7047a2e0, "drm_dev_printk" },
	{ 0x6dcc54b8, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xaaecef43, "drm_atomic_get_crtc_state" },
	{ 0x6504c5b, "drm_crtc_wait_one_vblank" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb2897b2c, "drm_modeset_lock" },
	{ 0x6fe7eac9, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x20972a29, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd384958, "device_create" },
	{ 0xa1853b86, "class_create" },
	{ 0xed342c88, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xeca230d7, "fixed_size_llseek" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x6fb2fc03, "drm_crtc_commit_wait" },
	{ 0x8eb05f31, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x377ca195, "cec_unregister_adapter" },
	{ 0xc1bf8c5b, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xfc11d26, "drm_atomic_get_old_private_obj_state" },
	{ 0xd3efc438, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x908c6543, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc7e5be3, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xfac642dc, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7969aa79, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfff3b124, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd16b826f, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x68798743, "_copy_from_iter" },
	{ 0x4e634fab, "i2c_transfer" },
	{ 0x59b0a5a3, "drm_display_mode_from_cea_vic" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8487e7c0, "cec_fill_conn_info_from_drm" },
	{ 0x209f64e9, "drm_sysfs_connector_property_event" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xc3589e95, "cec_received_msg_ts" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0x12df48f7, "_dev_printk" },
	{ 0x36dcf43a, "iov_iter_revert" },
	{ 0xed7ce3b3, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0x88f4c266, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0x2ffdec93, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd8aaf0d7, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xff791979, "drm_crtc_add_crc_entry" },
	{ 0x94898dd9, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x461468e7, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x18c6a8d1, "drm_connector_register" },
	{ 0x88b89073, "cec_transmit_attempt_done_ts" },
	{ 0x26ab4c43, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0x8b13acf8, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x22800eba, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa2b89202, "class_destroy" },
	{ 0x938b6da8, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x3f7b0c1a, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a83fae5, "cec_s_phys_addr_from_edid" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbc6aae2f, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "8BF5D069A5DDED72A220F1B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
