#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0x4fdc74db, "");
SYMBOL_CRC(go7007_read_addr, 0xafbf400d, "");
SYMBOL_CRC(go7007_boot_encoder, 0x5012dc18, "");
SYMBOL_CRC(go7007_register_encoder, 0x15b88a50, "");
SYMBOL_CRC(go7007_parse_video_stream, 0xd7f18132, "");
SYMBOL_CRC(go7007_alloc, 0xa9e870f1, "");
SYMBOL_CRC(go7007_update_board, 0x4daabb0b, "");
SYMBOL_CRC(go7007_snd_init, 0xa35573fe, "");
SYMBOL_CRC(go7007_snd_remove, 0x02a02801, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8258da5, "param_ops_charp" },
	{ 0x648d5652, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf70dab2e, "vb2_fop_read" },
	{ 0x7014c09b, "v4l2_device_register" },
	{ 0x908c6543, "i2c_add_adapter" },
	{ 0x2b266651, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0x90ea45ed, "__video_register_device" },
	{ 0x1f5be3a, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x49221515, "vb2_ioctl_streamon" },
	{ 0xf2cb9610, "vb2_fop_poll" },
	{ 0x8771533f, "v4l2_ctrl_new_std" },
	{ 0x94e8f46, "v4l2_ctrl_g_ctrl" },
	{ 0xb09041ff, "v4l2_ctrl_handler_free" },
	{ 0xb338d00b, "v4l2_device_unregister" },
	{ 0x5c9ddd40, "v4l2_subdev_call_wrappers" },
	{ 0x7d61ad99, "snd_pcm_period_elapsed" },
	{ 0xce81ef3f, "v4l2_ctrl_log_status" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xece42854, "v4l2_event_queue" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0x2a9b13f5, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x12ba1082, "v4l2_event_unsubscribe" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xbdf10ec5, "vb2_ioctl_reqbufs" },
	{ 0xf7be0f77, "vb2_queue_init" },
	{ 0xa2aad0de, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xddf7477d, "v4l2_device_put" },
	{ 0x32684526, "vb2_ioctl_streamoff" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa7276ac, "snd_pcm_new" },
	{ 0xcd6597c8, "snd_card_register" },
	{ 0x195735a3, "v4l2_i2c_new_subdev_board" },
	{ 0xbc105377, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x37c6bb26, "request_firmware" },
	{ 0x153608db, "vb2_ops_wait_finish" },
	{ 0xee263dfc, "v4l2_ctrl_handler_init_class" },
	{ 0x75d6fef4, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3320669d, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x4e4ecb14, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xed6a9339, "video_devdata" },
	{ 0xde17ccc, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x6dcc54b8, "i2c_del_adapter" },
	{ 0xfa9e5268, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6994bf11, "__v4l2_ctrl_grab" },
	{ 0xb363093d, "vb2_ioctl_dqbuf" },
	{ 0x20972a29, "_dev_err" },
	{ 0x84db665a, "v4l2_ctrl_new_custom" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x32e6f1d6, "snd_card_free_when_closed" },
	{ 0x7d54004a, "vb2_buffer_done" },
	{ 0x175bdf52, "vb2_plane_vaddr" },
	{ 0x18d4194d, "v4l2_ctrl_subscribe_event" },
	{ 0x499473f6, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4eb55e8f, "v4l2_event_subscribe" },
	{ 0x23a89da8, "vb2_ioctl_qbuf" },
	{ 0xa99a1594, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe6576027, "snd_device_new" },
	{ 0x74d395ea, "vb2_vmalloc_memops" },
	{ 0x419173dd, "snd_pcm_set_managed_buffer_all" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,snd,snd-pcm,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "5401F8E2FDFB2DC1E3EDFAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
