#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c7ab100, "phy_stop" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6e25623c, "__netdev_alloc_skb" },
	{ 0x1eaff66d, "skb_put" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xaac814ad, "eth_type_trans" },
	{ 0xce84e845, "netif_receive_skb" },
	{ 0x20972a29, "_dev_err" },
	{ 0x3db666ed, "netif_tx_wake_queue" },
	{ 0xbff8608c, "napi_complete_done" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x6a4aa349, "napi_schedule_prep" },
	{ 0x35039b94, "__napi_schedule" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc274e770, "consume_skb" },
	{ 0x41aa0090, "skb_tstamp_tx" },
	{ 0x6ab16ab6, "__skb_pad" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc8765b8e, "napi_enable" },
	{ 0xde73b174, "phy_start" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8c3a1288, "alloc_etherdev_mqs" },
	{ 0xe4c1a622, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0x432e8c4, "__devm_request_region" },
	{ 0xe2b290f, "platform_get_irq" },
	{ 0xa8c9c334, "devm_ioremap" },
	{ 0x3142fc96, "dmam_alloc_attrs" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0x3696e566, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5b5c9bc7, "__mdiobus_register" },
	{ 0x91095af, "phy_connect_direct" },
	{ 0xfcdeb0e2, "phy_set_max_speed" },
	{ 0x53fabb7a, "netif_napi_add_weight" },
	{ 0xacfc69c1, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x89402e32, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x37b07113, "phy_find_first" },
	{ 0xe5a8211e, "dev_err_probe" },
	{ 0x95a644e7, "phy_ethtool_nway_reset" },
	{ 0xdcbf8f96, "ethtool_op_get_link" },
	{ 0xc87a3b86, "ethtool_op_get_ts_info" },
	{ 0xb9fad6a7, "phy_ethtool_get_link_ksettings" },
	{ 0x2e3a0a9f, "phy_ethtool_set_link_ksettings" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c49a618, "__platform_driver_register" },
	{ 0x23d29709, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb2458379, "phy_disconnect" },
	{ 0x5e2f886, "mdiobus_unregister" },
	{ 0xc161bcdc, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x3cd697f5, "unregister_netdev" },
	{ 0x9a85352, "free_netdev" },
	{ 0x4f0d902a, "mdiobus_get_phy" },
	{ 0x66f8bf71, "phy_mii_ioctl" },
	{ 0x8a4dc3d0, "platform_driver_unregister" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7675c96b, "dev_addr_mod" },
	{ 0xeeba9b7c, "phy_print_status" },
	{ 0xe88ad3de, "napi_disable" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("of:N*T*Copencores,ethoc");
MODULE_ALIAS("of:N*T*Copencores,ethocC*");

MODULE_INFO(srcversion, "83AA2B7EBBFFAE9319D3EA3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
