#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xd73903e6, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xf58ccfce, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xf31cba02, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xeef55e9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbaebf009, "ip_mc_join_group" },
	{ 0x57f5f47f, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc63774ee, "lock_sock_nested" },
	{ 0xdcbf8f96, "ethtool_op_get_link" },
	{ 0x2aa0fd35, "nexthop_find_by_id" },
	{ 0x2cd17dc9, "arp_create" },
	{ 0x10030ab0, "__ethtool_get_link_ksettings" },
	{ 0x80517fa6, "netdev_adjacent_change_prepare" },
	{ 0xe0c34d10, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf4b575ec, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2cca0275, "netdev_adjacent_change_abort" },
	{ 0xd866adc2, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2ea04625, "__iptunnel_pull_header" },
	{ 0x8837ccd4, "__pskb_pull_tail" },
	{ 0x5c0fd86a, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb76230d, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xe634a8e3, "setup_udp_tunnel_sock" },
	{ 0xa9560b1e, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xae7272aa, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x489204a7, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf77d4913, "skb_scrub_packet" },
	{ 0x7a6e0e31, "nexthop_select_path" },
	{ 0x11fc91fb, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x90b03ff2, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb91770ac, "neigh_destroy" },
	{ 0x42590d2, "dst_cache_get_ip6" },
	{ 0x233a507e, "dst_cache_get_ip4" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x52d9aa63, "param_ops_bool" },
	{ 0x462e10fb, "udp_tun_rx_dst" },
	{ 0x841474f3, "dst_cache_set_ip6" },
	{ 0xb291400c, "rtnl_notify" },
	{ 0xad1b5720, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x33e165eb, "__netif_rx" },
	{ 0xe46bf3, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x67a7c6ac, "metadata_dst_alloc" },
	{ 0xfaba1542, "dst_release" },
	{ 0xe62f8b9a, "unregister_nexthop_notifier" },
	{ 0x80938a8f, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x60c46d03, "udp_tunnel_notify_del_rx_port" },
	{ 0x378fbf67, "register_nexthop_notifier" },
	{ 0x1764460f, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xd052505a, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xea0e2e14, "netdev_info" },
	{ 0xd1cb0db, "neigh_lookup" },
	{ 0xf082a76e, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd96b2c20, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x551ccb0, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5dfc3156, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb10ad6ca, "skb_copy_bits" },
	{ 0xbb65ca49, "__nlmsg_put" },
	{ 0x98777599, "netdev_adjacent_change_commit" },
	{ 0x426517e8, "eth_mac_addr" },
	{ 0x1eaff66d, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdb5f189c, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x549b311b, "ip6_dst_hoplimit" },
	{ 0x50f7470e, "param_ops_ushort" },
	{ 0xc274e770, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x4ea0acbf, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x29b1061d, "dst_cache_set_ip4" },
	{ 0x7f8c9512, "udp_tunnel6_xmit_skb" },
	{ 0xf6263442, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x940dad45, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x101827e5, "eth_validate_addr" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x76139627, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf31eb215, "rtnl_create_link" },
	{ 0x5055b32, "ip_route_output_flow" },
	{ 0x462e9998, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x58ba2f6e, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd7ed2228, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8129043, "udp_tunnel_drop_rx_port" },
	{ 0xa2675540, "netdev_upper_dev_link" },
	{ 0x35d36a2b, "pskb_expand_head" },
	{ 0x45314253, "register_pernet_subsys" },
	{ 0x7675c96b, "dev_addr_mod" },
	{ 0x9fbff7d6, "netdev_core_stats_alloc" },
	{ 0xaac814ad, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x3a739e4d, "__alloc_skb" },
	{ 0xc6250efb, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9e7ec02a, "eth_gro_complete" },
	{ 0xf1baeff7, "rtnl_set_sk_err" },
	{ 0xfb4beb09, "eth_gro_receive" },
	{ 0xfbdfe654, "rtnl_configure_link" },
	{ 0xae5034a8, "skb_tunnel_check_pmtu" },
	{ 0x6beeb8e7, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xdfc377d3, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x6b28ae36, "__dev_get_by_index" },
	{ 0xe384119c, "rtnl_link_unregister" },
	{ 0xe1c5f544, "__skb_get_hash" },
	{ 0x50999bce, "ipv6_stub" },
	{ 0x32c1a662, "skb_pull" },
	{ 0xd92fc49c, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbe86b218, "dev_get_by_index_rcu" },
	{ 0x374430c5, "kfree_skb_reason" },
	{ 0x97f67be8, "gro_cells_receive" },
	{ 0x7aec7b1a, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x4d7f437c, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x9a85352, "free_netdev" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "1956D57075015A50AF6121E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
