#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0xd39e92b1, "");
SYMBOL_CRC(alloc_libipw, 0xab94b45a, "");
SYMBOL_CRC(free_libipw, 0x97bd7bcf, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x5c335464, "");
SYMBOL_CRC(libipw_txb_free, 0x266d4439, "");
SYMBOL_CRC(libipw_rx_any, 0x1cbde3d5, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x94137535, "");
SYMBOL_CRC(libipw_rx, 0x91042e53, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x148adc3b, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x786a945c, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x0bff67a0, "");
SYMBOL_CRC(libipw_wx_set_encode, 0xf988b681, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x24cde9f3, "");
SYMBOL_CRC(libipw_get_channel, 0x9c4285d9, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x24014249, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x554adc62, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x9ace24fd, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x3f66bb6f, "");
SYMBOL_CRC(libipw_channel_to_index, 0x23ac9132, "");
SYMBOL_CRC(libipw_set_geo, 0xdaca8787, "");
SYMBOL_CRC(libipw_get_geo, 0x19e55865, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x514c667c, "seq_lseek" },
	{ 0xdc54c3e1, "dev_kfree_skb_irq_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaac814ad, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa40d4e12, "wiphy_new_nm" },
	{ 0xff9c1855, "lib80211_crypt_info_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x6a88b1e0, "lib80211_get_crypto_ops" },
	{ 0xd83bf5f2, "init_net" },
	{ 0x32c1a662, "skb_pull" },
	{ 0x7aec7b1a, "skb_push" },
	{ 0x9a85352, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9c850aeb, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x76b30481, "wireless_spy_update" },
	{ 0xb76230d, "netif_rx" },
	{ 0x6e25623c, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3b38613f, "seq_read" },
	{ 0xe1830ff8, "lib80211_crypt_info_free" },
	{ 0x6b181a80, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xaf465d76, "lib80211_crypt_delayed_deinit" },
	{ 0xda588655, "single_release" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xb959dacc, "dev_kfree_skb_any_reason" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0xb4836347, "single_open" },
	{ 0x95cd7574, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8c3a1288, "alloc_etherdev_mqs" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x1eaff66d, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc3fab329, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "B04C794549E5CDFD244F82D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
