#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x5ca4bf24, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0xabecb329, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x12128742, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_conn, 0x15dc8bab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xddd53c7d, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x38cd2122, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xdbecf6c4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_eh, 0xf7e749fb, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xe89733ac, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0xdb541d8e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x91502e32, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_session, 0x52575134, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0x994e95b7, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x4b746720, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x2bf5a755, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_tcp, 0xa8c4b5e1, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa6dc51b2, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x43728743, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xbd796bbb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_sw_tcp, 0xdf515c49, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x3ce0f6d3, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0xe62ed862, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x5236074e, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0xbcf8079d, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0xcddfb1d2, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x6864d90a, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x26275cb8, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x93ca3cb2, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x149a9c51, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0xf4d9aadf, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x48a54366, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xc17db6c4, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0xca6ae32c, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x7c2136ef, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0xb16dcc17, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x6e5a7f70, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x480d0748, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x816709af, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xad40ba2a, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xc61df4f9, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0xeb5099a2, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xf52d7ea2, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x72e50f5d, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0xf72ef2cd, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x615492c2, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x406eda5e, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x35e9a499, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x071a7001, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xb8786151, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0xad4726d4, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x4e28b908, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0xb25b1fb4, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0xb7969c2f, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x4955a1cc, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x5ae4fc48, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xfa90a83f, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xacbde801, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x41412501, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x33d5e035, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x9ee76f8f, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0xafda22fb, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x9c1796c3, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xd4f83cec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x754d539c, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe914e41e, "strcpy" },
	{ 0x648bc22d, "perf_trace_run_bpf_submit" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0x938067c, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x4968a359, "put_device" },
	{ 0xa6414249, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa81ed43e, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0xc0a24615, "get_device" },
	{ 0x22ded13d, "device_find_child" },
	{ 0x9af3684c, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7d9c279c, "transport_remove_device" },
	{ 0x3126739e, "transport_destroy_device" },
	{ 0x5052a005, "device_del" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x33c56348, "scsi_target_unblock" },
	{ 0x12df48f7, "_dev_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3cff6f39, "netlink_kernel_release" },
	{ 0x8a08fe39, "bus_unregister" },
	{ 0x822ab74e, "transport_class_unregister" },
	{ 0x3e7692fe, "class_unregister" },
	{ 0x6ddc1c21, "class_register" },
	{ 0xc31b4183, "transport_class_register" },
	{ 0xc8cad1a2, "bus_register" },
	{ 0xd83bf5f2, "init_net" },
	{ 0xd947c4d4, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x67990b4e, "scsi_is_host_device" },
	{ 0x31bc3e1d, "scsi_scan_target" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc8de32c0, "scsi_host_get" },
	{ 0x62b056a3, "device_initialize" },
	{ 0x91500e5c, "device_add" },
	{ 0x294d4fa6, "transport_setup_device" },
	{ 0x62cde4cf, "transport_add_device" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x64eb4b59, "attribute_container_unregister" },
	{ 0x22a63c51, "bsg_remove_queue" },
	{ 0xf5203814, "scsi_host_put" },
	{ 0x70ba84a5, "bsg_job_done" },
	{ 0xae855cec, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa5da2dae, "bsg_setup_queue" },
	{ 0xcc257df9, "__scsi_init_queue" },
	{ 0x3a739e4d, "__alloc_skb" },
	{ 0xbb65ca49, "__nlmsg_put" },
	{ 0x14ee3826, "netlink_broadcast" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xb42a9bd6, "dev_set_name" },
	{ 0x7c82e0e1, "device_register" },
	{ 0x1c3edb5e, "sysfs_create_group" },
	{ 0x18ba8332, "attribute_container_register" },
	{ 0x374430c5, "kfree_skb_reason" },
	{ 0x6445a05b, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x359faf4e, "netlink_capable" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0x653b9d3c, "scsi_host_lookup" },
	{ 0x6b41fb5d, "module_put" },
	{ 0xbe7fbcc5, "netlink_unicast" },
	{ 0x32c1a662, "skb_pull" },
	{ 0xae7272aa, "skb_trim" },
	{ 0xfb578fc5, "memset" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xbebd0ea2, "param_ops_int" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "29E682DBE647E8F842F1344");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
