#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x6ef0f4d3, "");
SYMBOL_CRC(sas_remove_host, 0xd2b5213a, "");
SYMBOL_CRC(sas_get_address, 0x362420ca, "");
SYMBOL_CRC(sas_tlr_supported, 0x5cdc6f50, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x8b368b20, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x7396d5ec, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xcc9da041, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x351b9124, "");
SYMBOL_CRC(sas_phy_add, 0x5dad0469, "");
SYMBOL_CRC(sas_phy_free, 0xcb90b4bf, "");
SYMBOL_CRC(sas_phy_delete, 0x9c21be0c, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xd022b639, "");
SYMBOL_CRC(sas_port_alloc, 0x1b6ec0da, "");
SYMBOL_CRC(sas_port_alloc_num, 0xa2aca5fd, "");
SYMBOL_CRC(sas_port_add, 0x80af9870, "");
SYMBOL_CRC(sas_port_free, 0x02f6960b, "");
SYMBOL_CRC(sas_port_delete, 0xe77a47ac, "");
SYMBOL_CRC(scsi_is_sas_port, 0x11bc8945, "");
SYMBOL_CRC(sas_port_get_phy, 0xcccc2fdd, "");
SYMBOL_CRC(sas_port_add_phy, 0xa9dbcc6d, "");
SYMBOL_CRC(sas_port_delete_phy, 0xaa3a1317, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x66c626f9, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x2b93f506, "");
SYMBOL_CRC(sas_end_device_alloc, 0x37b63854, "");
SYMBOL_CRC(sas_expander_alloc, 0x402e5c58, "");
SYMBOL_CRC(sas_rphy_add, 0x27852bb5, "");
SYMBOL_CRC(sas_rphy_free, 0x92984917, "");
SYMBOL_CRC(sas_rphy_delete, 0xf021f63c, "");
SYMBOL_CRC(sas_rphy_unlink, 0x74c86e5c, "");
SYMBOL_CRC(sas_rphy_remove, 0x3a6d2a1d, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x49a50afd, "");
SYMBOL_CRC(sas_attach_transport, 0xa0550213, "");
SYMBOL_CRC(sas_release_transport, 0x6d61dcc6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18ba8332, "attribute_container_register" },
	{ 0xb2c0a717, "scsi_get_vpd_page" },
	{ 0xac29818f, "scsi_mode_sense" },
	{ 0x64eb4b59, "attribute_container_unregister" },
	{ 0xfe370331, "scsi_remove_host" },
	{ 0x22a63c51, "bsg_remove_queue" },
	{ 0x6445a05b, "scsi_remove_target" },
	{ 0x67990b4e, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x70ba84a5, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb86e294d, "dma_opt_mapping_size" },
	{ 0x62b056a3, "device_initialize" },
	{ 0xb42a9bd6, "dev_set_name" },
	{ 0x294d4fa6, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9af3684c, "device_for_each_child" },
	{ 0x4968a359, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x91500e5c, "device_add" },
	{ 0x62cde4cf, "transport_add_device" },
	{ 0xb422d1f5, "transport_configure_device" },
	{ 0x5052a005, "device_del" },
	{ 0x3126739e, "transport_destroy_device" },
	{ 0x7d9c279c, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc0a24615, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8521643, "sysfs_remove_link" },
	{ 0xe76e605a, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0x12df48f7, "_dev_printk" },
	{ 0x31bc3e1d, "scsi_scan_target" },
	{ 0xa5da2dae, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xc31b4183, "transport_class_register" },
	{ 0x822ab74e, "transport_class_unregister" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "223C2971947F8D4DDF94D8F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
