#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdns_init, "_gpl", "");
KSYMTAB_FUNC(cdns_remove, "_gpl", "");
KSYMTAB_FUNC(cdns_suspend, "_gpl", "");
KSYMTAB_FUNC(cdns_resume, "_gpl", "");
KSYMTAB_FUNC(cdns_set_active, "_gpl", "");
KSYMTAB_FUNC(cdns_clear_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_set_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_on, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_off, "_gpl", "");
KSYMTAB_FUNC(cdns_power_is_lost, "_gpl", "");

SYMBOL_CRC(cdns_init, 0xa98417d6, "_gpl");
SYMBOL_CRC(cdns_remove, 0x7ed7ffc8, "_gpl");
SYMBOL_CRC(cdns_suspend, 0x21f37056, "_gpl");
SYMBOL_CRC(cdns_resume, 0xf6b496df, "_gpl");
SYMBOL_CRC(cdns_set_active, 0x8ddc5b9a, "_gpl");
SYMBOL_CRC(cdns_clear_vbus, 0x17fff7f2, "_gpl");
SYMBOL_CRC(cdns_set_vbus, 0x1ca4d2ef, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_on, 0xb69564d3, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_off, 0x2f345682, "_gpl");
SYMBOL_CRC(cdns_power_is_lost, 0xd2920b6d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf460c410, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0xe96ed118, "usb_get_dr_mode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1f17a1bf, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9c89bd4, "pm_runtime_enable" },
	{ 0x9dbe0e95, "platform_device_add_resources" },
	{ 0x20972a29, "_dev_err" },
	{ 0x4a9706d7, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5fda4cb2, "phy_reset" },
	{ 0x6a7a8327, "platform_device_add" },
	{ 0x28bbffb0, "platform_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x15c8ba36, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93b9718d, "usb_role_switch_register" },
	{ 0x4f780a0a, "dma_set_coherent_mask" },
	{ 0x7ef04697, "phy_set_mode_ext" },
	{ 0x609d65eb, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f4c3203, "devm_ioremap_resource" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x84a1327a, "dma_set_mask" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xeee8de6c, "__pm_runtime_disable" },
	{ 0xa805e081, "__pm_runtime_idle" },
	{ 0x3e1f4225, "platform_device_put" },
	{ 0xcc4bd709, "device_property_present" },
	{ 0xcd9baee3, "devm_request_threaded_irq" },
	{ 0x42b93ef, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x37a0cba, "kfree" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "roles,usbcore");


MODULE_INFO(srcversion, "E2675521AEED4D51864363B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
