#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0x46106326, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0xf48f04c0, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0xabc6336f, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0x44672296, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0xe5bcf0ec, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0x8479afc5, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0x2141891f, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0x61c69de7, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0x9e78f6b4, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0x1ff4dea2, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x975afa2d, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0x28c5312e, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0xb0964ffc, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x4f0357b8, "_gpl");
SYMBOL_CRC(gether_suspend, 0xc1b4c96b, "_gpl");
SYMBOL_CRC(gether_resume, 0xf4440a27, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0x49f5f2a5, "_gpl");
SYMBOL_CRC(gether_disconnect, 0x73eff188, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2c53cadb, "usb_ep_disable" },
	{ 0x784d9a58, "usb_ep_enable" },
	{ 0x8505bf0e, "__dynamic_dev_dbg" },
	{ 0x7675c96b, "dev_addr_mod" },
	{ 0xacfc69c1, "register_netdev" },
	{ 0x2ef524a5, "_dev_info" },
	{ 0x36dc0c70, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x349cba85, "strchr" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9166fada, "strncpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ea59b5d, "usb_ep_alloc_request" },
	{ 0x2af38e5f, "usb_ep_free_request" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3cd697f5, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9a85352, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20972a29, "_dev_err" },
	{ 0x6e25623c, "__netdev_alloc_skb" },
	{ 0xac5667d9, "usb_ep_queue" },
	{ 0xb959dacc, "dev_kfree_skb_any_reason" },
	{ 0x3db666ed, "netif_tx_wake_queue" },
	{ 0x6284ff5, "netif_carrier_on" },
	{ 0x1eaff66d, "skb_put" },
	{ 0x5b207caf, "skb_dequeue" },
	{ 0xa07f803d, "skb_queue_tail" },
	{ 0xaac814ad, "eth_type_trans" },
	{ 0xb76230d, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45df7d19, "usb_func_wakeup" },
	{ 0x2c7ae158, "usb_gadget_wakeup" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8c3a1288, "alloc_etherdev_mqs" },
	{ 0x3ed575b, "_dev_warn" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x426517e8, "eth_mac_addr" },
	{ 0x101827e5, "eth_validate_addr" },
	{ 0xdcbf8f96, "ethtool_op_get_link" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "4EA8C2D081ACC09E25E43E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
