#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x3f8347ec, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x9dafec29, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x03447f50, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xa54eb423, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xee1ff985, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xe38fe607, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x3742da49, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x9251edd8, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xa6ce0906, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x5ea74f7b, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x985ec452, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x56fd54f0, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x7fa321eb, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xf92b8498, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x11d91b15, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xe7101527, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x2ab16da1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x49f9a1bd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1080c5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xf31ffc72, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x8a64132b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x87a13e75, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x29643113, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x18b0a241, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xb8f99bc5, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x2cff7fbb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xb6c63b53, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xd44bea1f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x036a4997, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xcd29e3ce, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x22621e0d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x30ab5c29, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x74c81481, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x4345b943, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x1627aee1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0xf1769973, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x59253091, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x5f395c08, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x7f4e331d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x8c284554, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xa08b5421, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x954a4c85, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x760e8694, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x66fd3bc6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x87c306df, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x81383bee, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x79589cf1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0xa013dec7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x36eb9be1, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x30df6d5c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x74782868, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0xddd4ca52, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xfda837eb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x49f26265, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xf1febc37, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xf3f509e1, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xe098afd4, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xe6f9bfd9, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xe13f9ef9, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xb75503ca, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x2be99eed, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0xac7a9e68, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0x39a8e6e5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x5358d542, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x4fa58cc2, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xf48ea1d9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x84a191ee, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xed9fd4f6, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x7e7b004f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x5249bc06, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x1175da25, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xdb444fd8, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x32c0ebf2, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x4a47cd2a, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x85d077d0, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xfb779461, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x1189903a, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x482b4af6, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x192cc0b9, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x81c638be, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xe24fddae, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x40563847, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x64561f83, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x6aaed7a5, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x7e144aaa, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x55468bd1, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x42d23496, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x20f5b3f9, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x99786c0e, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xf02e3b4c, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x40075b0e, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x168d33fb, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x263bd850, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x5f6ce59a, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xabb48528, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x5b1c260d, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xd4942aaf, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xb545cb21, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xb4534945, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xf1780546, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x4343a0e5, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x77c9ff80, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xaea27cb5, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x11a02bfd, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x138725d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb1af6cf, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x5801adae, "xdr_stream_subsegment" },
	{ 0x110e9820, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x8d69cf1, "nfs_fscache_open_file" },
	{ 0xb8bcdc18, "from_kgid" },
	{ 0xc94676f1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x89937ad1, "nfs_write_inode" },
	{ 0xd6b401a0, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xa237e1f0, "rpc_wake_up_first" },
	{ 0xfc8b4a72, "alloc_nfs_open_context" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8f0b146b, "vfs_parse_fs_param" },
	{ 0xe7cfbcba, "nfs_path" },
	{ 0x1d0084b3, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x8a85fc43, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x90eafe8c, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7087f50, "rpc_sleep_on_timeout" },
	{ 0x4bc9d1f1, "list_lru_count_one" },
	{ 0xc0908dd0, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd9c05ce0, "rpc_call_start" },
	{ 0x84b32b04, "xprt_setup_backchannel" },
	{ 0xf4a12234, "bpf_trace_run1" },
	{ 0x7f80da60, "svc_create" },
	{ 0xcab6dbe0, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x2e71e415, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xa016ba7e, "rpc_call_sync" },
	{ 0xf1ec3b90, "from_kuid" },
	{ 0xcaaad60e, "rpc_put_task_async" },
	{ 0x6b02a347, "rpc_prepare_reply_pages" },
	{ 0xcaa7e4c7, "rpc_queue_upcall" },
	{ 0xec805ba4, "nfs_free_server" },
	{ 0x7b1342fa, "fc_mount" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0x5d8d8968, "nfs_setattr" },
	{ 0x6b2f1fb5, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf7022274, "nfs4_fs_type" },
	{ 0xff6cb8f3, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x7cc97d4e, "rpc_delay" },
	{ 0xbf415032, "nfs_flock" },
	{ 0x14c1fe09, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x303a5b2b, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x289f4b12, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xf0275865, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x92d1e8b8, "rpc_exit" },
	{ 0xafa01fc4, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xe139202f, "rpc_remove_pipe_dir_object" },
	{ 0x8a2810a, "nfs_may_open" },
	{ 0xc1764b8c, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x792328f9, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x1e3d93ba, "xdr_reserve_space" },
	{ 0x8c628439, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6e4d9e6, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1bc8aa42, "nfs_rmdir" },
	{ 0x51a447ce, "bpf_trace_run3" },
	{ 0x169f0b8f, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2ec7e8, "nfs_filemap_write_and_wait_range" },
	{ 0x185ff59e, "rpc_mkpipe_dentry" },
	{ 0x13f79374, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4761af5c, "rpc_mkpipe_data" },
	{ 0x9af556ef, "rpc_add_pipe_dir_object" },
	{ 0xe45dadeb, "igrab" },
	{ 0x66f910e3, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9eb95738, "nfs_async_iocounter_wait" },
	{ 0x5e5a91f5, "nfs_file_read" },
	{ 0xfa735456, "trace_event_buffer_reserve" },
	{ 0xc1c6a7c9, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9901f275, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x83ddee6d, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x96a0789c, "nfs_setattr_update_inode" },
	{ 0x35316393, "nfs_instantiate" },
	{ 0x87f1b7cc, "init_user_ns" },
	{ 0x9d9a23f8, "rpc_uaddr2sockaddr" },
	{ 0x23ff4f3e, "user_read" },
	{ 0x76df8012, "rpc_restart_call" },
	{ 0xf5e618dd, "request_key_tag" },
	{ 0x705da09c, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x944f7b74, "alloc_pages" },
	{ 0x1c3ea05e, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x275b203e, "svc_xprt_destroy_all" },
	{ 0x26907b02, "generic_key_instantiate" },
	{ 0xa1c0c57e, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xf09c9236, "nfs_link" },
	{ 0x89abd5ae, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2a04d2c9, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x9f204d5a, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5d00aad, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x69e789a2, "xdr_stream_move_subsegment" },
	{ 0x9917325d, "put_rpccred" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x54e22583, "nfs_post_op_update_inode_force_wcc" },
	{ 0xaeb1a8aa, "nfs_pgheader_init" },
	{ 0xf700442b, "put_nfs_open_context" },
	{ 0x7286c7b9, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf584df96, "nfs_show_devname" },
	{ 0x2ee14238, "nfs_permission" },
	{ 0xd86ae56d, "nfs_initiate_commit" },
	{ 0x921e68f7, "truncate_inode_pages_range" },
	{ 0xa8de73b1, "__put_user_ns" },
	{ 0x6f2d6bab, "cred_fscmp" },
	{ 0xf8025fa3, "rpc_unlink" },
	{ 0xed4fb2f4, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xed01fa4, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x80bb9744, "node_data" },
	{ 0xd59e9a28, "nfs_probe_server" },
	{ 0xa80b8f01, "nfs_setsecurity" },
	{ 0x44c44d3, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x820f047d, "rpc_clnt_test_and_add_xprt" },
	{ 0x9c2127e4, "file_ra_state_init" },
	{ 0xbd75c5ec, "nfs_force_lookup_revalidate" },
	{ 0xbd353854, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xce01028e, "rpc_clnt_add_xprt" },
	{ 0xf2951973, "dget_parent" },
	{ 0x87922a25, "from_kuid_munged" },
	{ 0x8a91163c, "prepare_kernel_cred" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0x24dbf75c, "nfs_alloc_server" },
	{ 0x4c09dc22, "rpc_call_async" },
	{ 0x2d37eef2, "security_dentry_init_security" },
	{ 0x4236486f, "filemap_write_and_wait_range" },
	{ 0x49adc92, "nfs_server_insert_lists" },
	{ 0x388f11a, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x5f4c5c95, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x8a3b3bd4, "rpc_init_pipe_dir_object" },
	{ 0x71380e83, "bpf_trace_run7" },
	{ 0xfa1c9300, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x77265814, "nfs_init_server_rpcclient" },
	{ 0xdb3c50da, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3833a4bc, "rpc_set_connect_timeout" },
	{ 0x973e3c69, "rpcauth_create" },
	{ 0x648dfc82, "list_lru_add" },
	{ 0xeb51611e, "xdr_stream_pos" },
	{ 0xba032a25, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xbb81e9d3, "svc_xprt_create" },
	{ 0x7235b0f9, "nfs42_ssc_register" },
	{ 0xe88b86e4, "rpc_wait_for_completion_task" },
	{ 0xab6edaa2, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x76656dfb, "rpc_num_bc_slots" },
	{ 0xb2c92554, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0x84384ce7, "security_inode_listsecurity" },
	{ 0xb8533c62, "nfs_fhget" },
	{ 0x6fd613c6, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6514b5a6, "locks_copy_lock" },
	{ 0xcf57a9c6, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x500b844d, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4b41e282, "nfs_set_verifier" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xd75dc4ff, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd9c2088b, "generic_copy_file_range" },
	{ 0x836a2b72, "svc_generic_rpcbind_set" },
	{ 0xc8243293, "nfs_clone_server" },
	{ 0x9bd49a63, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1dc92fbe, "filemap_fdatawrite" },
	{ 0x1e816121, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd5d9f3bd, "nfs_server_remove_lists" },
	{ 0x9a57efed, "nfs42_ssc_unregister" },
	{ 0x1f788a96, "generic_listxattr" },
	{ 0xeb8a7ceb, "try_module_get" },
	{ 0xef5acdbe, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x55ec7335, "nfs_writeback_update_inode" },
	{ 0x7cf13e7b, "clear_inode" },
	{ 0xc2433cd6, "inode_to_bdi" },
	{ 0xd627c4b5, "bpf_trace_run4" },
	{ 0x57026873, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x26ab4c43, "param_ops_uint" },
	{ 0x2e8c9769, "user_revoke" },
	{ 0xc2664d16, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x816fc4b3, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x42bf8fe1, "list_lru_del" },
	{ 0x31dcafd6, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8c9bb7a, "rpc_clnt_probe_trunked_xprts" },
	{ 0xe5a0b09b, "nfs_pageio_reset_read_mds" },
	{ 0x24b2c37, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x119061d1, "rpc_shutdown_client" },
	{ 0x7db83af8, "svc_bind" },
	{ 0xaa4730b3, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x991054e2, "nfs_free_inode" },
	{ 0xf695712d, "nfs_access_zap_cache" },
	{ 0x213156f5, "nfs_sb_deactive" },
	{ 0xf75a8373, "nfs_wb_all" },
	{ 0x1c2143e, "__break_lease" },
	{ 0x572dd710, "nfs_pageio_init_write" },
	{ 0xc6d2362e, "svc_recv" },
	{ 0xaf59d91a, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf7a69873, "xdr_inline_decode" },
	{ 0xf10b9203, "nfs_pageio_init_read" },
	{ 0x2852a97b, "trace_raw_output_prep" },
	{ 0xd51ecaf7, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x82ca6d74, "nfs_init_commit" },
	{ 0xe67a26cd, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xbbf7be83, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8199b687, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x891f2067, "__trace_trigger_soft_disabled" },
	{ 0x19d3bf21, "nfs_mknod" },
	{ 0x6ecdecd3, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x719daf4b, "nfs4_label_alloc" },
	{ 0x6fbb24a6, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x7b013cdb, "trace_event_printf" },
	{ 0x7828b8f1, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x5a81864f, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0x16d1d5a5, "unregister_key_type" },
	{ 0x409dead9, "nfs_client_init_is_complete" },
	{ 0x12b57843, "nfs_file_splice_read" },
	{ 0x313896e1, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x767ada78, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x46ee6c25, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x86e1c8ba, "ihold" },
	{ 0x74d76c7d, "truncate_pagecache_range" },
	{ 0xd05612eb, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a49608b, "invalidate_inode_pages2_range" },
	{ 0x32075ab6, "nfs_post_op_update_inode" },
	{ 0xf5707f8c, "svc_exit_thread" },
	{ 0xfe163330, "iput" },
	{ 0x5c1f1c6d, "xdr_set_pagelen" },
	{ 0xc8f87f21, "pcpu_hot" },
	{ 0xa9e20dff, "nfs_pgio_header_free" },
	{ 0x30d1acf1, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xa1d1b5e9, "logfc" },
	{ 0xdcf50f73, "nfs_pgio_header_alloc" },
	{ 0x5e55da3f, "__put_devmap_managed_page_refs" },
	{ 0x545d3dbb, "iter_file_splice_write" },
	{ 0xcbc41b1f, "rpc_pton" },
	{ 0xb2d8206c, "nfs_sb_active" },
	{ 0x6d0a16e6, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x47ebdc83, "rpc_wake_up_queued_task" },
	{ 0x938067c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb112fc5c, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf73cde9b, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8e814621, "_copy_from_pages" },
	{ 0xd144f3ff, "__module_get" },
	{ 0x9e2755a2, "kmem_cache_create" },
	{ 0x628c2aa4, "rpc_task_release_transport" },
	{ 0xd3a15923, "xdr_page_pos" },
	{ 0x4e2110af, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xc6a74c6f, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc8bce939, "key_instantiate_and_link" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x221c1e5, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x53de87e4, "register_key_type" },
	{ 0x7e592810, "rpc_sleep_on" },
	{ 0x6e88f457, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6af91620, "nfs_pageio_resend" },
	{ 0x73b1fe6a, "keyring_alloc" },
	{ 0xddd59e1d, "vfs_setpos" },
	{ 0x7e28561e, "nfs_create" },
	{ 0xffab2580, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf57e46b9, "__put_cred" },
	{ 0x9f00341f, "swapcache_mapping" },
	{ 0xd78db93, "nfs_statfs" },
	{ 0x6775e6e1, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x302e4eea, "rpc_max_bc_payload" },
	{ 0x1c0d1a33, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xfdadddbd, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd0b81d, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xbc79f164, "nfs_mkdir" },
	{ 0xe2d75739, "nfs_revalidate_inode" },
	{ 0x13624b04, "inode_newsize_ok" },
	{ 0xc2afeadf, "nfs_file_mmap" },
	{ 0x1435af7, "nfs_get_lock_context" },
	{ 0xb3f1da5e, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb14dcaf5, "nfs_set_cache_invalid" },
	{ 0x1247a5ae, "rpc_release_client" },
	{ 0x4e908893, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe11216bb, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc4ab29, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc5da0201, "nfs_generic_pgio" },
	{ 0x6d22c255, "make_kuid" },
	{ 0xb7d58112, "truncate_inode_pages_final" },
	{ 0x7e2178f8, "generic_setlease" },
	{ 0x79f97329, "xprt_destroy_backchannel" },
	{ 0x55ac7398, "rpc_switch_client_transport" },
	{ 0xb1d49851, "bc_svc_process" },
	{ 0xa916b694, "strnlen" },
	{ 0xff2bc142, "nfs_scan_commit_list" },
	{ 0x7b3799dd, "xdr_stream_decode_string_dup" },
	{ 0x37427d13, "nfs_commit_inode" },
	{ 0xb6add7e6, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xd88d9c4b, "unregister_shrinker" },
	{ 0x604ae716, "rpc_destroy_pipe_data" },
	{ 0xb0b7aee, "nfs_get_client" },
	{ 0x1020ec67, "__free_pages" },
	{ 0xce08ae7d, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x33555d2, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xd9047428, "nfs_atomic_open" },
	{ 0x82dceb8e, "rpc_pipe_generic_upcall" },
	{ 0x6d961474, "nfs_file_fsync" },
	{ 0x6b41fb5d, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xeb15d9ed, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4bc2b9bb, "nfs_put_lock_context" },
	{ 0x621b0bfb, "nfs_rename" },
	{ 0x437aa655, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbd191acc, "nfs_sysfs_link_rpc_client" },
	{ 0x72ed1bc5, "nfs_put_client" },
	{ 0x9b8ff36d, "nfs_show_options" },
	{ 0x3a4010dd, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x15756012, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x3ff12aec, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xbb440a50, "get_nfs_open_context" },
	{ 0x648bc22d, "perf_trace_run_bpf_submit" },
	{ 0x2730c687, "nfs_clear_verifier_delegated" },
	{ 0xb32cb27c, "nfs_sysfs_add_server" },
	{ 0x9c27ea9b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5a32944, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xd14d325, "nfs_do_submount" },
	{ 0x895297d5, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x22ece6e6, "request_key_with_auxdata" },
	{ 0xd8ae7b32, "rpc_clone_client_set_auth" },
	{ 0xafc1b6c0, "rpc_clone_client" },
	{ 0x222d6a02, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x28b648f9, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xbaea08fb, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe6a6a332, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x85b744cf, "put_fs_context" },
	{ 0xba70cb44, "nfs_retry_commit" },
	{ 0x61e7cf5, "nfs4_dentry_operations" },
	{ 0x5f9b439c, "__module_put_and_kthread_exit" },
	{ 0x9e88fed1, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xb0fa10e6, "nfs_client_for_each_server" },
	{ 0xdda7bb21, "nfs_clear_inode" },
	{ 0x76290d64, "rpc_sleep_on_priority" },
	{ 0xa94bbd40, "nfs_invalidate_atime" },
	{ 0xaae35e81, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc67b0e98, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x13e851e8, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x22f2e79, "nfs_pageio_reset_write_mds" },
	{ 0xf102cb46, "kmem_cache_free" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,dns_resolver");


MODULE_INFO(srcversion, "B75F957D8BB44324B2B6696");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
