#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fou_encap_hlen, "", "");
KSYMTAB_FUNC(gue_encap_hlen, "", "");
KSYMTAB_FUNC(__fou_build_header, "", "");
KSYMTAB_FUNC(__gue_build_header, "", "");

SYMBOL_CRC(fou_encap_hlen, 0x1757d1a4, "");
SYMBOL_CRC(gue_encap_hlen, 0xf13914b3, "");
SYMBOL_CRC(__fou_build_header, 0xf0b36e22, "");
SYMBOL_CRC(__gue_build_header, 0x2f8f0c9c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35d36a2b, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a739e4d, "__alloc_skb" },
	{ 0xe1c5f544, "__skb_get_hash" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbe7fbcc5, "netlink_unicast" },
	{ 0x374430c5, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7aec7b1a, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0xcf564304, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4c3e369e, "ip_tunnel_encap_del_ops" },
	{ 0xd866adc2, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x8837ccd4, "__pskb_pull_tail" },
	{ 0x87506b9a, "register_btf_kfunc_id_set" },
	{ 0xe634a8e3, "setup_udp_tunnel_sock" },
	{ 0xa9560b1e, "udp_sock_create6" },
	{ 0xae7272aa, "skb_trim" },
	{ 0x2b0bb739, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb884d4c4, "genl_unregister_family" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0xcc766175, "genl_register_family" },
	{ 0x7ed274bb, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0x551ccb0, "__skb_checksum_complete" },
	{ 0x9cc60921, "ip_tunnel_encap_add_ops" },
	{ 0x5dfc3156, "inet_get_local_port_range" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x4ea0acbf, "udp_sock_create4" },
	{ 0x86568606, "genlmsg_put" },
	{ 0xd8245a4, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x6fa08cf2, "inet_offloads" },
	{ 0x4c9a2060, "inet_protos" },
	{ 0x58ba2f6e, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3BE97532D61CD80D2F8F3FC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
