#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_hci_result_to_errno, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes_per_host, "", "");
KSYMTAB_FUNC(nfc_hci_sak_to_protocol, "", "");
KSYMTAB_FUNC(nfc_hci_target_discovered, "", "");
KSYMTAB_FUNC(nfc_hci_allocate_device, "", "");
KSYMTAB_FUNC(nfc_hci_free_device, "", "");
KSYMTAB_FUNC(nfc_hci_register_device, "", "");
KSYMTAB_FUNC(nfc_hci_unregister_device, "", "");
KSYMTAB_FUNC(nfc_hci_set_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_get_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_driver_failure, "", "");
KSYMTAB_FUNC(nfc_hci_recv_frame, "", "");
KSYMTAB_FUNC(nfc_hci_send_event, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd_async, "", "");
KSYMTAB_FUNC(nfc_hci_set_param, "", "");
KSYMTAB_FUNC(nfc_hci_get_param, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_gate, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_all_gates, "", "");
KSYMTAB_FUNC(nfc_hci_connect_gate, "", "");
KSYMTAB_FUNC(nfc_llc_start, "", "");
KSYMTAB_FUNC(nfc_llc_stop, "", "");

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0x8dc72b7f, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x66d18865, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0x54bcac63, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0xccf56b7b, "");
SYMBOL_CRC(nfc_hci_free_device, 0x61faf4ac, "");
SYMBOL_CRC(nfc_hci_register_device, 0xcbfef01a, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x96f4f4a1, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0xccba0ccf, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0x93ee62f8, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0xa73c8004, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0x898ac1a6, "");
SYMBOL_CRC(nfc_hci_send_event, 0x9638fd09, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0xc5c2e193, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0xe10d95d6, "");
SYMBOL_CRC(nfc_hci_set_param, 0xf700a5ff, "");
SYMBOL_CRC(nfc_hci_get_param, 0x636bbf53, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0x5d484fa4, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x14c83bcd, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0xa677af28, "");
SYMBOL_CRC(nfc_llc_start, 0xda7f8c0d, "");
SYMBOL_CRC(nfc_llc_stop, 0x00213b59, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7aec7b1a, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa48fb015, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xae7272aa, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x969659f1, "nfc_targets_found" },
	{ 0xc556ad74, "kmalloc_trace" },
	{ 0x7d3e4ac0, "nfc_driver_failure" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3e2d4723, "kmalloc_caches" },
	{ 0x70e7319f, "nfc_register_device" },
	{ 0x51177c60, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1eaff66d, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5b207caf, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaba6b746, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x80e52e50, "nfc_allocate_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3a1c908f, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x3937f8e9, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4968a359, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3a739e4d, "__alloc_skb" },
	{ 0xa07f803d, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x32c1a662, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x374430c5, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x73e57212, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "0B1F174CEDB4DFA029BCDBF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
